var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, {
  enumerable: true,
  configurable: true,
  writable: true,
  value
}) : obj[key] = value;
var __publicField = (obj, key, value) => __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
import { _ as _export_sfc } from "./js-_plugin-vue_export-helper.js";
import { d as defineComponent, r as ref, i as onMounted, c as createElementBlock, o as openBlock, a as createBaseVNode, O as toDisplayString, H as normalizeClass, a2 as createTextVNode, F as createCommentVNode, G as Fragment, ae as renderList, R as withDirectives, af as vModelText, ar as createStaticVNode, j as inject, u as unref, L as createVNode, J as withCtx, Q as onBeforeUnmount, U as reactive, I as createBlock, ak as createApp } from "./js-@vue.js";
import { C as Chart } from "./js-chart.js.js";
import { c as createPinia, d as defineStore, s as setActivePinia } from "./js-pinia.js";
import { i as indexPage } from "./js-indexConfig.js";
import { a as ElMessage, c as ElLoading, g as ElButton, v as ElDialog, u as ElForm, l as ElFormItem, e as ElInput } from "./js-element-plus.js";
import { d as dayjs } from "./js-dayjs.js";
import { u as utils, w as writeSync } from "./js-xlsx.js";
import html2canvas from "./js-html2canvas.js";
import { E } from "./js-jspdf.js";
import { _ as _imports_0$1, a as _imports_1$1, b as _imports_2 } from "./js-executeButton3.js";
import { t as search_default } from "./js-@element-plus.js";
import { g as getLocalizedMessage, a as splitChineseAndEnglish, s as setLocale } from "./js-i18n.js";
import { i as index } from "./js-vue3-lottie.js";
import "./js-@kurkle.js";
import "./js-lodash-es.js";
import "./js-@vueuse.js";
import "./js-async-validator.js";
import "./js-@popperjs.js";
import "./js-normalize-wheel-es.js";
import "./js-memoize-one.js";
import "./js-@ctrl.js";
import "./js-clientjs.js";
import "./js-@babel.js";
import "./js-fflate.js";
import "./js-lottie-web.js";
const pinia = createPinia();
const _StorageUtil = class _StorageUtil {
  constructor() {
    __publicField(this, "onCallBackHandlers");
    this.onCallBackHandlers = [];
  }
  // 获取唯一实例的方法
  static getInstance() {
    if (!_StorageUtil.instance) {
      _StorageUtil.instance = new _StorageUtil();
    }
    return _StorageUtil.instance;
  }
  addHandlers(handler) {
    this.onCallBackHandlers.push(handler);
  }
  removeListener(handler) {
    let removeIndex = -1;
    for (let i = 0; i < this.onCallBackHandlers.length; i++) {
      if (this.onCallBackHandlers[i] === handler) {
        removeIndex = i;
        break;
      }
    }
    if (removeIndex !== -1) {
      this.onCallBackHandlers.splice(removeIndex, 1);
    }
  }
  startOnChangedListener() {
    chrome.storage.onChanged.addListener((changes, namespace) => {
      this.onCallBackHandlers.forEach(onCallBackHandler => {
        onCallBackHandler(changes, namespace);
      });
    });
  }
};
__publicField(_StorageUtil, "instance");
let StorageUtil = _StorageUtil;
let storageUtil = StorageUtil.getInstance();
const useCounterStore = defineStore("counter", {
  state: () => ({
    userId: "",
    tenantId: "",
    tenantName: "",
    terminalData: {
      "terminalName": ""
    },
    userName: "",
    //当前页面
    activatePage: indexPage,
    //配置
    XiaoHongShu_Setting: "{}",
    //评论数量
    XiaoHongShu_viewCount: 0,
    XiaoHongShu_CommentCount: 0,
    XiaoHongShu_likeCount: 0,
    XiaoHongShu_followCount: 0,
    XiaoHongShu_collectCount: 0,
    //评论数量
    xhs_viewCount: 0,
    xhs_CommentCount: 0,
    xhs_likeCount: 0,
    xhs_followCount: 0,
    xhs_collectCount: 0,
    //评论数量
    dy_viewCount: 0,
    dy_CommentCount: 0,
    dy_likeCount: 0,
    dy_followCount: 0,
    dy_collectCount: 0,
    //工作状态
    // run：工作中
    // end: 已结束（到达底部）
    XiaoHongShu_workStatus: "run",
    checkUpdateDateStr: "",
    update: false,
    loadend: false,
    isDebugMode: false,
    loadFromStorage_load: false,
    accessToken: "",
    // 用户可用点数
    userInfoPoints: 0,
    // vip到期时间
    userInfoEndDate: "",
    //今日运行时间
    runTodayDate: "",
    //今日运行次数
    runTodayNum: 0,
    //今日运行最大次数
    runTodayMaxNum: 3,
    //vip日期更新
    updateVipDateTime: "",
    // optionsPageName 页面
    optionsPageName: "",
    loginAuthUrl: "",
    buyUrl: "",
    accessToken_request_id: "",
    gotoYearBuyOrderId: "",
    //客户端id
    clientVisitorId: "",
    executeOperationStartTime: 0,
    executeOperationEndTime: 0,
    //小红书 关键词 列表
    xhs_keywords_list: [],
    douYin_keywords_list: [],
    taskId: 0,
    xhs_minute: [],
    dy_minute: []
  }),
  actions: {
    set_checkUpdateDateStr(checkUpdateDateStr) {
      this.checkUpdateDateStr = checkUpdateDateStr;
      chrome.storage.local.set({
        "checkUpdateDateStr": this.checkUpdateDateStr
      });
    },
    set_updateVipDateTime(updateVipDateTime) {
      this.updateVipDateTime = updateVipDateTime;
      chrome.storage.local.set({
        "updateVipDateTime": this.updateVipDateTime
      });
    },
    set_update(update) {
      this.update = update;
      chrome.storage.local.set({
        "update": this.update
      });
    },
    setXiaoHongShu_viewCount(count) {
      this.XiaoHongShu_viewCount = count;
      chrome.storage.local.set({
        "XiaoHongShu_viewCount": this.XiaoHongShu_viewCount
      });
    },
    setXiaoHongShu_CommentCount(count) {
      this.XiaoHongShu_CommentCount = count;
      chrome.storage.local.set({
        "XiaoHongShu_CommentCount": this.XiaoHongShu_CommentCount
      });
    },
    setXiaoHongShu_likeCount(count) {
      this.XiaoHongShu_likeCount = count;
      chrome.storage.local.set({
        "XiaoHongShu_likeCount": this.XiaoHongShu_likeCount
      });
    },
    setXiaoHongShu_followCount(count) {
      this.XiaoHongShu_followCount = count;
      chrome.storage.local.set({
        "XiaoHongShu_followCount": this.XiaoHongShu_followCount
      });
    },
    setXiaoHongShu_collectCount(count) {
      this.XiaoHongShu_collectCount = count;
      chrome.storage.local.set({
        "XiaoHongShu_collectCount": this.XiaoHongShu_collectCount
      });
    },
    setXiaoHongShu_workStatus(status) {
      this.XiaoHongShu_workStatus = status;
    },
    setUserId(userId) {
      this.userId = userId;
      chrome.storage.local.set({
        "userId": this.userId
      });
    },
    setTenantId(tenantId) {
      this.tenantId = tenantId;
      chrome.storage.local.set({
        "tenantId": this.tenantId
      });
    },
    setTenantName(tenantName) {
      this.tenantName = tenantName;
      chrome.storage.local.set({
        "tenantName": this.tenantName
      });
    },
    setTerminalData(terminalData) {
      this.terminalData = terminalData;
      chrome.storage.local.set({
        "terminalData": JSON.stringify(terminalData)
      });
    },
    setUserName(userName) {
      this.userName = userName;
      chrome.storage.local.set({
        "userName": this.userName
      });
    },
    setAccessToken(accessToken) {
      this.accessToken = accessToken;
      chrome.storage.local.set({
        "accessToken": this.accessToken
      });
    },
    setOptionsPageName(optionsPageName) {
      this.optionsPageName = optionsPageName;
    },
    setLoginAuthUrl(loginAuthUrl) {
      this.loginAuthUrl = loginAuthUrl;
    },
    setBuyUrl(buyUrl) {
      this.buyUrl = buyUrl;
    },
    setAccessToken_request_id2(request_id) {
      this.accessToken_request_id = request_id;
    },
    setAccessToken_request_id(request_id) {
      this.accessToken_request_id = request_id;
      chrome.storage.local.set({
        "accessToken_request_id": this.accessToken_request_id
      });
    },
    setGotoYearBuyOrderId(gotoYearBuyOrderId) {
      this.gotoYearBuyOrderId = gotoYearBuyOrderId;
    },
    setActivatePage(page) {
      this.activatePage = page;
    },
    setXiaoHongShu_Setting(setting) {
      this.XiaoHongShu_Setting = setting;
      chrome.storage.local.set({
        "XiaoHongShu_Setting": this.XiaoHongShu_Setting
      });
    },
    setOperationTime(operationTime) {
      chrome.storage.local.set({
        "operationTime": operationTime
      });
    },
    setUserInfoPoints(userInfoPoints) {
      this.userInfoPoints = userInfoPoints;
      chrome.storage.local.set({
        "userInfoPoints": userInfoPoints
      });
    },
    setUserInfoEndDate(userInfoEndDate) {
      this.userInfoEndDate = userInfoEndDate;
      chrome.storage.local.set({
        "userInfoEndDate": userInfoEndDate
      });
    },
    increment_RunTodayNum() {
      this.runTodayNum++;
      chrome.storage.local.set({
        "runTodayNum": this.runTodayNum
      });
    },
    setRunTodayNum(runTodayNum) {
      this.runTodayNum = runTodayNum;
      chrome.storage.local.set({
        "runTodayNum": this.runTodayNum
      });
    },
    setRunTodayDate(runTodayDate) {
      this.runTodayDate = runTodayDate;
      chrome.storage.local.set({
        "runTodayDate": this.runTodayDate
      });
    },
    setClientVisitorId(clientVisitorId) {
      this.clientVisitorId = clientVisitorId;
      chrome.storage.local.set({
        "clientVisitorId": clientVisitorId
      });
    },
    checkLoadend() {
      console.log("checkLoadend loadend");
      let maxNum = 60,
        timeout = 30;
      let num = 0;
      return new Promise(resolve => {
        const checkInterval = setInterval(() => {
          const loadend = this.loadend;
          if (loadend || num > maxNum) {
            if (num > maxNum) {
              console.error("checkLoadend 加载超时");
            }
            clearInterval(checkInterval);
            resolve();
          }
          num++;
        }, timeout);
      });
    },
    loadFromStorage() {
      console.log("loadFromStorage");
      if (this.loadFromStorage_load) {
        return;
      }
      this.loadFromStorage_load = true;
      chrome.storage.local.get(["checkUpdateDateStr", "updateVipDateTime", "userInfoEndDate", "userInfoPoints", "update", "userId", "userName", "accessToken", "activatePage", "XiaoHongShu_Setting", "XiaoHongShu_viewCount", "XiaoHongShu_CommentCount", "XiaoHongShu_likeCount", "XiaoHongShu_followCount", "XiaoHongShu_collectCount", "taskId", "xhs_viewCount", "xhs_CommentCount", "xhs_likeCount", "xhs_followCount", "xhs_collectCount", "dy_viewCount", "dy_CommentCount", "dy_likeCount", "dy_followCount", "dy_collectCount", "XiaoHongShu_workStatus", "runTodayDate", "runTodayNum", "optionsPageName", "loginAuthUrl", "buyUrl", "accessToken_request_id", "gotoYearBuyOrderId", "clientVisitorId", "executeOperationStartTime", "executeOperationEndTime", "xhs_keywords_list", "douYin_keywords_list", "xhs_minute", "dy_minute", "terminalData"], result => {
        console.log("result activatePage", result);
        if (result.checkUpdateDateStr !== void 0) {
          this.checkUpdateDateStr = result.checkUpdateDateStr;
        }
        if (result.updateVipDateTime !== void 0) {
          this.updateVipDateTime = result.updateVipDateTime;
        }
        if (result.userInfoEndDate !== void 0) {
          this.userInfoEndDate = result.userInfoEndDate;
        }
        if (result.userInfoPoints !== void 0) {
          this.userInfoPoints = result.userInfoPoints;
        }
        if (result.update !== void 0) {
          this.update = result.update;
        }
        if (result.userId !== void 0) {
          this.userId = result.userId;
        }
        if (result.userName !== void 0) {
          this.userName = result.userName;
        }
        if (result.accessToken !== void 0) {
          this.accessToken = result.accessToken;
        }
        if (result.activatePage !== void 0) {
          this.activatePage = result.activatePage;
        }
        if (result.XiaoHongShu_Setting !== void 0) {
          this.XiaoHongShu_Setting = result.XiaoHongShu_Setting;
        }
        if (result.XiaoHongShu_viewCount !== void 0) {
          this.XiaoHongShu_viewCount = result.XiaoHongShu_viewCount;
        }
        if (result.XiaoHongShu_CommentCount !== void 0) {
          this.XiaoHongShu_CommentCount = result.XiaoHongShu_CommentCount;
        }
        if (result.XiaoHongShu_likeCount !== void 0) {
          this.XiaoHongShu_likeCount = result.XiaoHongShu_likeCount;
        }
        if (result.XiaoHongShu_followCount !== void 0) {
          this.XiaoHongShu_followCount = result.XiaoHongShu_followCount;
        }
        if (result.XiaoHongShu_collectCount !== void 0) {
          this.XiaoHongShu_collectCount = result.XiaoHongShu_collectCount;
        }
        if (result.taskId !== void 0) {
          this.taskId = result.taskId;
        }
        if (result.xhs_viewCount !== void 0) {
          this.xhs_viewCount = result.xhs_viewCount;
        }
        if (result.xhs_CommentCount !== void 0) {
          this.xhs_CommentCount = result.xhs_CommentCount;
        }
        if (result.xhs_likeCount !== void 0) {
          this.xhs_likeCount = result.xhs_likeCount;
        }
        if (result.xhs_followCount !== void 0) {
          this.xhs_followCount = result.xhs_followCount;
        }
        if (result.xhs_collectCount !== void 0) {
          this.xhs_collectCount = result.xhs_collectCount;
        }
        if (result.dy_viewCount !== void 0) {
          this.dy_viewCount = result.dy_viewCount;
        }
        if (result.dy_CommentCount !== void 0) {
          this.dy_CommentCount = result.dy_CommentCount;
        }
        if (result.dy_likeCount !== void 0) {
          this.dy_likeCount = result.dy_likeCount;
        }
        if (result.dy_followCount !== void 0) {
          this.dy_followCount = result.dy_followCount;
        }
        if (result.dy_collectCount !== void 0) {
          this.dy_collectCount = result.dy_collectCount;
        }
        if (result.XiaoHongShu_workStatus !== void 0) {
          this.XiaoHongShu_workStatus = result.XiaoHongShu_workStatus;
        }
        if (result.runTodayDate !== void 0) {
          this.runTodayDate = result.runTodayDate;
        }
        if (result.runTodayNum !== void 0) {
          this.runTodayNum = result.runTodayNum;
        }
        if (result.optionsPageName !== void 0) {
          this.optionsPageName = result.optionsPageName;
        }
        if (result.loginAuthUrl !== void 0) {
          this.loginAuthUrl = result.loginAuthUrl;
        }
        if (result.buyUrl !== void 0) {
          this.buyUrl = result.buyUrl;
        }
        if (result.accessToken_request_id !== void 0) {
          this.accessToken_request_id = result.accessToken_request_id;
        }
        if (result.gotoYearBuyOrderId !== void 0) {
          this.gotoYearBuyOrderId = result.gotoYearBuyOrderId;
        }
        if (result.clientVisitorId !== void 0) {
          this.clientVisitorId = result.clientVisitorId;
        }
        if (result.executeOperationStartTime !== void 0) {
          this.executeOperationStartTime = result.executeOperationStartTime;
        }
        if (result.executeOperationEndTime !== void 0) {
          this.executeOperationEndTime = result.executeOperationEndTime;
        }
        if (result.xhs_keywords_list !== void 0) {
          this.xhs_keywords_list = result.xhs_keywords_list ? JSON.parse(result.xhs_keywords_list) : [];
        }
        if (result.douYin_keywords_list !== void 0) {
          this.douYin_keywords_list = result.douYin_keywords_list ? JSON.parse(result.douYin_keywords_list) : [];
        }
        if (result.xhs_minute !== void 0) {
          this.xhs_minute = result.xhs_minute ? JSON.parse(result.xhs_minute) : [];
        }
        if (result.dy_minute !== void 0) {
          this.dy_minute = result.dy_minute ? JSON.parse(result.dy_minute) : [];
        }
        if (result.terminalData !== void 0) {
          this.terminalData = result.terminalData ? JSON.parse(result.terminalData) : {};
        }
        this.loadend = true;
      });
      storageUtil.addHandlers((changes, namespace) => {
        for (let [key, {
          oldValue,
          newValue
        }] of Object.entries(changes)) {
          console.log(`counter Storage key "${key}" in namespace "${namespace}" changed.`, `Old value was "${oldValue}", new value is "${newValue}".`);
          switch (key) {
            case "activatePage":
              this.activatePage = newValue;
              break;
            case "userInfoPoints":
              this.userInfoPoints = newValue;
              break;
            case "taskId":
              this.taskId = newValue;
              break;
            case "XiaoHongShu_CommentCount":
              this.XiaoHongShu_CommentCount = newValue;
              break;
            case "XiaoHongShu_likeCount":
              this.XiaoHongShu_likeCount = newValue;
              break;
            case "XiaoHongShu_followCount":
              this.XiaoHongShu_followCount = newValue;
              break;
            case "XiaoHongShu_collectCount":
              this.XiaoHongShu_collectCount = newValue;
              break;
            case "XiaoHongShu_viewCount":
              this.XiaoHongShu_viewCount = newValue;
              break;
            case "XiaoHongShu_workStatus":
              this.XiaoHongShu_workStatus = newValue;
              break;
            case "accessToken":
              this.accessToken = newValue;
              this.setActivatePage(indexPage);
              break;
            case "clientVisitorId":
              this.clientVisitorId = newValue;
              break;
            case "executeOperationStartTime":
              this.executeOperationStartTime = newValue;
              break;
            case "terminalData":
              this.terminalData = newValue ? JSON.parse(newValue) : {};
          }
        }
      });
    }
  }
});
setActivePinia(pinia);
const store = useCounterStore();
function sendLog(message) {
  chrome.runtime.sendMessage({
    action: "logs",
    message
  }).then(() => {}).catch(err => {
    console.error(err);
  });
}
function sendCloseTab() {
  chrome.runtime.sendMessage({
    action: "closeTab"
  }).then(res => {
    console.info(res);
  }).catch(err => {
    console.error(err);
  });
}
function formatDate(isoString) {
  const date = new Date(isoString);
  const year = date.getFullYear();
  const month = String(date.getMonth() + 1).padStart(2, "0");
  const day = String(date.getDate()).padStart(2, "0");
  return `${year}-${month}-${day}`;
}
function delay$1(ms) {
  return new Promise(resolve => setTimeout(resolve, ms));
}
const baseURL = "https://plugin-api-adlrdojbyd.ap-northeast-1.fcapp.run";
const VITE_LOGIN_API$2 = "https://global-auth.petron.ai";
async function getLoginToken(request_id, signal) {
  for (let i = 0; i < 3; i++) {
    const url = VITE_LOGIN_API$2 + "/api/v1/workos/access_token/stream?request_id=" + request_id + "&time=" + (/* @__PURE__ */new Date()).getTime();
    const headers = {};
    try {
      const response = await fetch(url, {
        method: "get",
        signal
      });
      if (!response.ok) {
        sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
        console.error(`HTTP error! status: ${response.status}`, response);
        if (response.status === 401) {
          console.log("登录失效");
          store.setAccessToken("");
          store.set_updateVipDateTime("");
          store.setUserInfoEndDate("");
          setTimeout(async () => {
            const accessToken = store.accessToken;
            await logout(accessToken);
          }, 1);
        }
        if (response.status == 404) {
          return void 0;
        }
        return void 0;
      }
      let result = await response.text();
      console.log("result", result);
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status + ", response data:" + JSON.stringify(result));
      if (result) {
        result = JSON.parse(result);
      } else {
        return void 0;
      }
      return result;
    } catch (error) {
      if (error.name === "AbortError") {
        console.log("Fetch aborted");
      } else {
        console.error("Fetch error:", error);
      }
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    }
  }
  return void 0;
}
async function logout(accessToken) {
  store.setAccessToken("");
  store.set_updateVipDateTime("");
  store.setUserInfoEndDate("");
  store.setUserInfoPoints(0);
  const url = VITE_LOGIN_API$2 + "/api/v1/workos/logout";
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + accessToken
  };
  try {
    const response = await fetch(url, {
      method: "get",
      headers
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`, response);
      if (response.status == 404) {
        return void 0;
      }
      ElMessage.error("退出错误");
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
const getObjects = async key => {
  const url = `${baseURL}/api/v2/oss/objects/${key}`;
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "get",
      headers
    });
    if (!response.ok) {
      sendLog("getObjects url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`, response);
      return void 0;
    }
    const result = await response.json();
    sendLog("getObjects url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("getObjects url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
};
const queryObjects = async queryParams => {
  const params = new URLSearchParams();
  queryParams.forEach(param => params.append(param.key, String(param.value)));
  const url = `${baseURL}/api/v2/oss/objects?${params.toString()}`;
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "get",
      headers
    });
    if (!response.ok) {
      sendLog("queryObjects url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`queryObjects HTTP error! status: ${response.status}`, response);
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("queryObjects result", result);
    return result;
  } catch (error) {
    console.error("queryObjects Error:", error);
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
  }
  return void 0;
};
const _hoisted_1$4 = {
  class: "container"
};
const _hoisted_2$3 = {
  class: "header-content"
};
const _hoisted_3$3 = {
  class: "header-right"
};
const _hoisted_4$3 = {
  class: "header-time"
};
const _hoisted_5$3 = {
  class: "main-content"
};
const _hoisted_6$3 = {
  class: "section"
};
const _hoisted_7$3 = {
  class: "section-card"
};
const _hoisted_8$2 = {
  class: "info-grid"
};
const _hoisted_9$2 = {
  class: "config-section"
};
const _hoisted_10$2 = {
  class: "config-grid"
};
const _hoisted_11$2 = {
  class: "config-group"
};
const _hoisted_12$2 = {
  class: "config-item"
};
const _hoisted_13$2 = {
  class: "config-value primary"
};
const _hoisted_14$2 = {
  class: "config-item"
};
const _hoisted_15$2 = {
  class: "config-value"
};
const _hoisted_16$2 = {
  class: "config-item"
};
const _hoisted_17$2 = {
  class: "config-value"
};
const _hoisted_18$2 = {
  class: "config-item"
};
const _hoisted_19$2 = {
  class: "config-value"
};
const _hoisted_20$2 = {
  class: "config-group"
};
const _hoisted_21$2 = {
  class: "config-item"
};
const _hoisted_22$2 = {
  class: "config-value"
};
const _hoisted_23$2 = {
  class: "config-item"
};
const _hoisted_24$2 = {
  class: "config-item"
};
const _hoisted_25$1 = {
  class: "config-item"
};
const _hoisted_26$1 = {
  class: "config-item"
};
const _hoisted_27$1 = {
  class: "config-item"
};
const _hoisted_28 = {
  class: "config-value"
};
const _hoisted_29 = {
  class: "execution-info"
};
const _hoisted_30 = {
  class: "duration-display"
};
const _hoisted_31 = {
  class: "time-details"
};
const _hoisted_32 = {
  class: "config-item"
};
const _hoisted_33 = {
  class: "config-value"
};
const _hoisted_34 = {
  class: "config-item"
};
const _hoisted_35 = {
  class: "config-value"
};
const _hoisted_36 = {
  class: "section"
};
const _hoisted_37 = {
  class: "stats-grid"
};
const _hoisted_38 = {
  class: "stat-card"
};
const _hoisted_39 = {
  class: "stat-number"
};
const _hoisted_40 = {
  class: "stat-card"
};
const _hoisted_41 = {
  class: "stat-number primary"
};
const _hoisted_42 = {
  class: "stat-card"
};
const _hoisted_43 = {
  class: "stat-number blue"
};
const _hoisted_44 = {
  class: "stat-card"
};
const _hoisted_45 = {
  class: "stat-number gray"
};
const _hoisted_46 = {
  class: "stat-card"
};
const _hoisted_47 = {
  class: "stat-number gray"
};
const _hoisted_48 = {
  class: "section"
};
const _hoisted_49 = {
  class: "section-card"
};
const _hoisted_50 = {
  class: "chart-container"
};
const _hoisted_51 = {
  class: "chart-wrapper"
};
const _hoisted_52 = {
  class: "section"
};
const _hoisted_53 = {
  class: "section-card"
};
const _hoisted_54 = {
  class: "comments-grid"
};
const _hoisted_55 = {
  class: "comment-title"
};
const _hoisted_56 = ["href"];
const _hoisted_57 = {
  class: "comment-id"
};
const _hoisted_58 = {
  class: "comment-content"
};
const _hoisted_59 = {
  key: 0,
  style: {
    "text-align": "center",
    "color": "#6b7280",
    "padding": "40px"
  }
};
const _hoisted_60 = {
  style: {
    "margin-top": "16px",
    "text-align": "center"
  }
};
const _hoisted_61 = {
  style: {
    "color": "#6b7280",
    "font-size": "14px"
  }
};
const _hoisted_62 = {
  style: {
    "font-weight": "bold",
    "color": "#FF798B"
  }
};
const _hoisted_63 = {
  class: "section"
};
const _hoisted_64 = {
  class: "features-grid"
};
const _hoisted_65 = {
  class: "feature-card"
};
const _hoisted_66 = {
  class: "feature-card"
};
const _hoisted_67 = {
  class: "modal-content"
};
const _hoisted_68 = {
  class: "form-group"
};
const _hoisted_69 = {
  class: "form-group"
};
const _sfc_main$4 = /* @__PURE__ */defineComponent({
  __name: "runEchartsReportDemo2",
  setup(__props) {
    const showFeedbackModal = ref(false);
    const currentCommentId = ref(null);
    const currentTime = ref("");
    const feedback = ref({
      email: "",
      message: ""
    });
    const taskInfo = ref({
      searchSettings: {
        mode: "关键词模式",
        keyword: "杭州旅游攻略",
        contentTag: "综合",
        commentStyle: "真诚赞美"
      },
      executionSettings: {
        duration: "15min",
        like: true,
        comment: true,
        favorite: false,
        follow: false,
        commentProbability: "50%"
      },
      executionInfo: {
        actualDuration: "7min 36s",
        startTime: "15:47:36",
        endTime: "15:55:12"
      }
    });
    const statistics = ref({
      views: 27,
      comments: 2,
      likes: 9,
      favorites: 0,
      follows: 0
    });
    const comments = ref([]);
    const chartCanvas = ref(null);
    const initChart = () => {
      var _a;
      const ctx = (_a = chartCanvas.value) == null ? void 0 : _a.getContext("2d");
      if (!ctx) return;
      new Chart(ctx, {
        type: "doughnut",
        data: {
          labels: ["点赞", "评论", "收藏", "关注"],
          datasets: [{
            data: [statistics.value.likes, statistics.value.comments, statistics.value.favorites, statistics.value.follows],
            backgroundColor: ["#3B82F6", "#10B981", "#F59E0B", "#6B7280"],
            borderWidth: 0
          }]
        },
        options: {
          responsive: true,
          maintainAspectRatio: true,
          plugins: {
            legend: {
              position: "bottom",
              labels: {
                padding: 15,
                usePointStyle: true,
                font: {
                  size: 12
                }
              }
            }
          }
        }
      });
    };
    const closeFeedbackModal = () => {
      showFeedbackModal.value = false;
      feedback.value.email = "";
      feedback.value.message = "";
      currentCommentId.value = null;
    };
    const submitDetailedFeedback = () => {
      if (!feedback.value.email || !feedback.value.message) {
        return;
      }
      const subject = `小薯条评论反馈 - 评论ID: ${currentCommentId.value}`;
      const body = `评论ID: ${currentCommentId.value}

反馈内容:
${feedback.value.message}

联系邮箱: ${feedback.value.email}

报告生成时间: ${currentTime.value}`;
      window.location.href = `mailto:contact@fsotool.com?subject=${encodeURIComponent(subject)}&body=${encodeURIComponent(body)}`;
      closeFeedbackModal();
    };
    const sendGeneralFeedback = () => {
      const subject = "小薯条产品反馈建议";
      const body = `亲爱的小薯条团队：

我想对产品提出以下建议：

[请在此处输入您的建议]

报告生成时间: ${currentTime.value}`;
      window.location.href = `mailto:contact@fsotool.com?subject=${encodeURIComponent(subject)}&body=${encodeURIComponent(body)}`;
    };
    const formatTimeDifference = (startTimestamp, endTimestamp) => {
      const diffInMs = dayjs(endTimestamp).diff(dayjs(startTimestamp));
      const diffInSeconds = Math.floor(diffInMs / 1e3);
      const minutes = Math.floor(diffInSeconds / 60);
      const seconds = diffInSeconds % 60;
      return `${minutes}min ${seconds}s`;
    };
    const getObjectData = async () => {
      const key = store.userId + "_" + store.taskId;
      sendLog("getObjectData key:" + key);
      const objectData = await getObjects(key);
      console.log("objectData", objectData);
      if (!objectData) {
        return;
      }
      let XiaoHongShu_Setting = objectData.bucket.XiaoHongShu_Setting;
      if (XiaoHongShu_Setting) {
        XiaoHongShu_Setting = JSON.parse(XiaoHongShu_Setting);
      }
      if (objectData.bucket.executeOperationStartTime) {
        currentTime.value = dayjs(objectData.bucket.executeOperationStartTime).format("YYYY-MM-DD HH:mm:ss");
      }
      if (XiaoHongShu_Setting) {
        if (XiaoHongShu_Setting.workXiaoHongShuPlatform) {
          statistics.value.views = objectData.bucket.xhs_viewCount;
          statistics.value.likes = objectData.bucket.xhs_likeCount;
          statistics.value.comments = objectData.bucket.xhs_CommentCount;
          statistics.value.favorites = objectData.bucket.xhs_collectCount;
          statistics.value.follows = objectData.bucket.xhs_followCount;
        } else if (XiaoHongShu_Setting.workDouYinPlatform) {
          statistics.value.views = objectData.bucket.dy_viewCount;
          statistics.value.likes = objectData.bucket.dy_likeCount;
          statistics.value.comments = objectData.bucket.dy_CommentCount;
          statistics.value.favorites = objectData.bucket.dy_followCount;
          statistics.value.follows = objectData.bucket.xhs_followCount;
        } else {
          console.log("XiaoHongShu_Setting:", XiaoHongShu_Setting);
        }
        taskInfo.value.searchSettings.mode = XiaoHongShu_Setting.workType;
        taskInfo.value.searchSettings.keyword = XiaoHongShu_Setting.searchWord;
        taskInfo.value.searchSettings.contentTag = XiaoHongShu_Setting.category;
        taskInfo.value.searchSettings.commentStyle = XiaoHongShu_Setting.style;
        taskInfo.value.executionSettings.duration = XiaoHongShu_Setting.operationTime;
        taskInfo.value.executionSettings.like = XiaoHongShu_Setting.like;
        taskInfo.value.executionSettings.comment = true;
        taskInfo.value.executionSettings.favorite = XiaoHongShu_Setting.collect;
        taskInfo.value.executionSettings.follow = XiaoHongShu_Setting.follow;
        taskInfo.value.executionSettings.commentProbability = XiaoHongShu_Setting.customProbabilitiesNum + "%";
        taskInfo.value.executionInfo.startTime = dayjs(objectData.bucket.executeOperationStartTime).format("HH:mm:ss");
        if (objectData.bucket.executeOperationEndTime == 0) {
          taskInfo.value.executionInfo.actualDuration = "0s";
          taskInfo.value.executionInfo.endTime = "0";
        } else {
          taskInfo.value.executionInfo.endTime = dayjs(objectData.bucket.executeOperationEndTime).format("HH:mm:ss");
          taskInfo.value.executionInfo.actualDuration = formatTimeDifference(objectData.bucket.executeOperationStartTime, objectData.bucket.executeOperationEndTime);
        }
      }
      initChart();
      setTimeout(async () => {
        await getCommentList(XiaoHongShu_Setting);
      });
    };
    const getCommentList = async XiaoHongShu_Setting => {
      let queryParams = [];
      if (XiaoHongShu_Setting.workXiaoHongShuPlatform) {
        queryParams = [{
          key: "taskId",
          value: store.taskId
        }, {
          key: "belong_to",
          value: store.userId + "_XiaoHongShu_comment"
        }, {
          key: "skip",
          value: 0
        }, {
          key: "limit",
          value: 1e4
        }];
      } else if (XiaoHongShu_Setting.workDouYinPlatform) {
        queryParams = [{
          key: "taskId",
          value: store.taskId
        }, {
          key: "belong_to",
          value: store.userId + "_douYin_comment"
        }, {
          key: "skip",
          value: 0
        }, {
          key: "limit",
          value: 1e4
        }];
      } else {
        console.log("getCommentList XiaoHongShu_Setting:", XiaoHongShu_Setting);
        return;
      }
      queryObjects(queryParams).then(res => {
        console.log("getCommentList queryObjects res", res);
        res == null ? void 0 : res.items.forEach(item => {
          comments.value.push({
            id: item.bucket["note_id"],
            title: item.bucket["title"] ?? item.bucket["text"],
            content: item.bucket["replyComment"],
            postId: item.bucket["note_id"],
            link: item.bucket["note_url"]
          });
        });
      }).catch(error => {
        console.log("queryObjects error", error);
      });
    };
    const exportToExcel = async historyXiaoHongshuDataListParam => {
      if (!historyXiaoHongshuDataListParam || historyXiaoHongshuDataListParam.length == 0) {
        ElMessage.error("数据为空");
        return;
      }
      const excelList = [];
      for (let i = 0; i < historyXiaoHongshuDataListParam.length; i++) {
        const item = historyXiaoHongshuDataListParam[i];
        excelList.push({
          "序号": i + 1,
          "标题": item["title"],
          "评论内容": item["content"],
          "帖子ID": item["postId"],
          "帖子url": item["link"]
        });
      }
      const worksheet = utils.json_to_sheet(excelList);
      const workbook = utils.book_new();
      utils.book_append_sheet(workbook, worksheet, "Sheet1");
      const excelBuffer = writeSync(workbook, {
        bookType: "xlsx",
        type: "array"
      });
      const blob = new Blob([excelBuffer], {
        type: "application/octet-stream"
      });
      const link = document.createElement("a");
      link.href = URL.createObjectURL(blob);
      const nowDateStr = dayjs().format("YYYY-MM-DD HH:mm:ss");
      link.download = "运行报告_export" + nowDateStr + ".xlsx";
      document.body.appendChild(link);
      link.click();
      document.body.removeChild(link);
    };
    const contentToExport = ref(null);
    const exportPdfBool = ref(false);
    function delay2(ms) {
      return new Promise(resolve => setTimeout(resolve, ms));
    }
    const exportToPDF = async () => {
      try {
        exportPdfBool.value = true;
        await delay2(1e3);
        const element = contentToExport.value;
        if (!element) {
          ElMessage.error("没有初始化页面。");
          return;
        }
        const canvas = await html2canvas(element, {
          scale: 2,
          // 提高分辨率
          useCORS: true,
          // 如果需要加载跨域图片
          allowTaint: true,
          logging: true
          // 调试时可开启
        });
        const imgData = canvas.toDataURL("image/png", 1);
        const pdf = new E({
          orientation: "portrait",
          // 或 'landscape'
          unit: "mm",
          format: "a4"
        });
        const imgWidth = 210;
        const pageHeight = 295;
        const imgHeight = canvas.height * imgWidth / canvas.width;
        let heightLeft = imgHeight;
        let position = 0;
        pdf.addImage(imgData, "PNG", 0, position, imgWidth, imgHeight);
        heightLeft -= pageHeight;
        while (heightLeft >= 0) {
          position = heightLeft - imgHeight;
          pdf.addPage();
          pdf.addImage(imgData, "PNG", 0, position, imgWidth, imgHeight);
          heightLeft -= pageHeight;
        }
        const nowDateStr = dayjs().format("YYYY-MM-DD HH:mm:ss");
        pdf.save("运行报告_export" + nowDateStr + ".pdf");
      } finally {
        exportPdfBool.value = false;
      }
    };
    onMounted(() => {
      const loading = ElLoading.service({
        lock: true,
        text: "加载中",
        background: "rgba(0, 0, 0, 0.7)"
      });
      store.checkLoadend().then(async () => {
        await getObjectData();
      }).finally(() => {
        loading.close();
      });
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        ref_key: "contentToExport",
        ref: contentToExport
      }, [createBaseVNode("header", {
        class: normalizeClass({
          "exportPdf": exportPdfBool.value,
          "header": true
        })
      }, [createBaseVNode("div", _hoisted_1$4, [createBaseVNode("div", _hoisted_2$3, [_cache[5] || (_cache[5] = createBaseVNode("div", {
        class: "header-left"
      }, [createBaseVNode("div", {
        class: "header-icon"
      }, " 🍟 "), createBaseVNode("div", null, [createBaseVNode("h1", {
        class: "header-title"
      }, "📊 小薯条任务执行报告"), createBaseVNode("p", {
        class: "header-subtitle"
      }, "详细的任务执行分析与数据统计")])], -1)), createBaseVNode("div", _hoisted_3$3, [_cache[4] || (_cache[4] = createBaseVNode("p", {
        class: "header-time-label"
      }, "生成时间", -1)), createBaseVNode("p", _hoisted_4$3, toDisplayString(currentTime.value), 1)])])])], 2), createBaseVNode("div", _hoisted_5$3, [createBaseVNode("section", _hoisted_6$3, [_cache[23] || (_cache[23] = createBaseVNode("h2", {
        class: "section-title"
      }, [createBaseVNode("span", {
        class: "section-number"
      }, "1"), createTextVNode(" 任务基本信息 ")], -1)), createBaseVNode("div", _hoisted_7$3, [createBaseVNode("div", _hoisted_8$2, [createBaseVNode("div", _hoisted_9$2, [_cache[18] || (_cache[18] = createBaseVNode("h3", null, [createBaseVNode("span", {
        class: "config-icon"
      }, "⚙️"), createTextVNode(" 任务配置参数 ")], -1)), createBaseVNode("div", _hoisted_10$2, [createBaseVNode("div", _hoisted_11$2, [_cache[10] || (_cache[10] = createBaseVNode("h4", null, "搜索设置", -1)), createBaseVNode("div", _hoisted_12$2, [_cache[6] || (_cache[6] = createBaseVNode("span", {
        class: "config-label"
      }, "模式", -1)), createBaseVNode("span", _hoisted_13$2, toDisplayString(taskInfo.value.searchSettings.mode), 1)]), createBaseVNode("div", _hoisted_14$2, [_cache[7] || (_cache[7] = createBaseVNode("span", {
        class: "config-label"
      }, "关键词", -1)), createBaseVNode("span", _hoisted_15$2, toDisplayString(taskInfo.value.searchSettings.keyword), 1)]), createBaseVNode("div", _hoisted_16$2, [_cache[8] || (_cache[8] = createBaseVNode("span", {
        class: "config-label"
      }, "内容标签", -1)), createBaseVNode("span", _hoisted_17$2, toDisplayString(taskInfo.value.searchSettings.contentTag), 1)]), createBaseVNode("div", _hoisted_18$2, [_cache[9] || (_cache[9] = createBaseVNode("span", {
        class: "config-label"
      }, "评论风格", -1)), createBaseVNode("span", _hoisted_19$2, toDisplayString(taskInfo.value.searchSettings.commentStyle), 1)])]), createBaseVNode("div", _hoisted_20$2, [_cache[17] || (_cache[17] = createBaseVNode("h4", null, "执行设置", -1)), createBaseVNode("div", _hoisted_21$2, [_cache[11] || (_cache[11] = createBaseVNode("span", {
        class: "config-label"
      }, "执行时长", -1)), createBaseVNode("span", _hoisted_22$2, toDisplayString(taskInfo.value.executionSettings.duration), 1)]), createBaseVNode("div", _hoisted_23$2, [_cache[12] || (_cache[12] = createBaseVNode("span", {
        class: "config-label"
      }, "点赞", -1)), createBaseVNode("span", {
        class: normalizeClass(["config-value", taskInfo.value.executionSettings.like ? "enabled" : "disabled"])
      }, toDisplayString(taskInfo.value.executionSettings.like ? "✓ 已启用" : "✗ 未启用"), 3)]), createBaseVNode("div", _hoisted_24$2, [_cache[13] || (_cache[13] = createBaseVNode("span", {
        class: "config-label"
      }, "评论", -1)), createBaseVNode("span", {
        class: normalizeClass(["config-value", taskInfo.value.executionSettings.comment ? "enabled" : "disabled"])
      }, toDisplayString(taskInfo.value.executionSettings.comment ? "✓ 已启用" : "✗ 未启用"), 3)]), createBaseVNode("div", _hoisted_25$1, [_cache[14] || (_cache[14] = createBaseVNode("span", {
        class: "config-label"
      }, "收藏", -1)), createBaseVNode("span", {
        class: normalizeClass(["config-value", taskInfo.value.executionSettings.favorite ? "enabled" : "disabled"])
      }, toDisplayString(taskInfo.value.executionSettings.favorite ? "✓ 已启用" : "✗ 未启用"), 3)]), createBaseVNode("div", _hoisted_26$1, [_cache[15] || (_cache[15] = createBaseVNode("span", {
        class: "config-label"
      }, "关注", -1)), createBaseVNode("span", {
        class: normalizeClass(["config-value", taskInfo.value.executionSettings.follow ? "enabled" : "disabled"])
      }, toDisplayString(taskInfo.value.executionSettings.follow ? "✓ 已启用" : "✗ 未启用"), 3)]), createBaseVNode("div", _hoisted_27$1, [_cache[16] || (_cache[16] = createBaseVNode("span", {
        class: "config-label"
      }, "评论概率", -1)), createBaseVNode("span", _hoisted_28, toDisplayString(taskInfo.value.executionSettings.commentProbability), 1)])])])]), createBaseVNode("div", _hoisted_29, [_cache[21] || (_cache[21] = createBaseVNode("h3", null, [createBaseVNode("span", {
        class: "config-icon"
      }, "🕒"), createTextVNode(" 实际执行信息 ")], -1)), createBaseVNode("div", _hoisted_30, toDisplayString(taskInfo.value.executionInfo.actualDuration), 1), _cache[22] || (_cache[22] = createBaseVNode("div", {
        class: "duration-label"
      }, "实际时长", -1)), createBaseVNode("div", _hoisted_31, [createBaseVNode("div", _hoisted_32, [_cache[19] || (_cache[19] = createBaseVNode("span", {
        class: "config-label"
      }, "开始", -1)), createBaseVNode("span", _hoisted_33, toDisplayString(taskInfo.value.executionInfo.startTime), 1)]), createBaseVNode("div", _hoisted_34, [_cache[20] || (_cache[20] = createBaseVNode("span", {
        class: "config-label"
      }, "结束", -1)), createBaseVNode("span", _hoisted_35, toDisplayString(taskInfo.value.executionInfo.endTime), 1)])])])])])]), createBaseVNode("section", _hoisted_36, [_cache[34] || (_cache[34] = createBaseVNode("h2", {
        class: "section-title"
      }, [createBaseVNode("span", {
        class: "section-number"
      }, "2"), createTextVNode(" 操作数据概览 ")], -1)), createBaseVNode("div", _hoisted_37, [createBaseVNode("div", _hoisted_38, [_cache[24] || (_cache[24] = createBaseVNode("div", {
        class: "stat-emoji"
      }, "👀", -1)), createBaseVNode("div", _hoisted_39, toDisplayString(statistics.value.views), 1), _cache[25] || (_cache[25] = createBaseVNode("div", {
        class: "stat-label"
      }, "浏览量", -1))]), createBaseVNode("div", _hoisted_40, [_cache[26] || (_cache[26] = createBaseVNode("div", {
        class: "stat-emoji"
      }, "💬", -1)), createBaseVNode("div", _hoisted_41, toDisplayString(statistics.value.comments), 1), _cache[27] || (_cache[27] = createBaseVNode("div", {
        class: "stat-label"
      }, "评论数", -1))]), createBaseVNode("div", _hoisted_42, [_cache[28] || (_cache[28] = createBaseVNode("div", {
        class: "stat-emoji"
      }, "👍", -1)), createBaseVNode("div", _hoisted_43, toDisplayString(statistics.value.likes), 1), _cache[29] || (_cache[29] = createBaseVNode("div", {
        class: "stat-label"
      }, "点赞数", -1))]), createBaseVNode("div", _hoisted_44, [_cache[30] || (_cache[30] = createBaseVNode("div", {
        class: "stat-emoji"
      }, "⭐", -1)), createBaseVNode("div", _hoisted_45, toDisplayString(statistics.value.favorites), 1), _cache[31] || (_cache[31] = createBaseVNode("div", {
        class: "stat-label"
      }, "收藏数", -1))]), createBaseVNode("div", _hoisted_46, [_cache[32] || (_cache[32] = createBaseVNode("div", {
        class: "stat-emoji"
      }, "➕", -1)), createBaseVNode("div", _hoisted_47, toDisplayString(statistics.value.follows), 1), _cache[33] || (_cache[33] = createBaseVNode("div", {
        class: "stat-label"
      }, "关注数", -1))])])]), createBaseVNode("section", _hoisted_48, [_cache[35] || (_cache[35] = createBaseVNode("h2", {
        class: "section-title"
      }, [createBaseVNode("span", {
        class: "section-number"
      }, "3"), createTextVNode(" 操作分布比例 ")], -1)), createBaseVNode("div", _hoisted_49, [createBaseVNode("div", _hoisted_50, [createBaseVNode("div", _hoisted_51, [createBaseVNode("canvas", {
        id: "pieChart",
        ref_key: "chartCanvas",
        ref: chartCanvas
      }, null, 512)])])])]), createBaseVNode("section", _hoisted_52, [_cache[40] || (_cache[40] = createBaseVNode("h2", {
        class: "section-title"
      }, [createBaseVNode("span", {
        class: "section-number"
      }, "4"), createTextVNode(" 评论内容回溯区 "), createBaseVNode("span", {
        style: {
          "margin-left": "8px",
          "font-size": "14px",
          "font-weight": "normal",
          "color": "#6b7280"
        }
      }, "核心价值版块")], -1)), createBaseVNode("div", _hoisted_53, [createBaseVNode("div", _hoisted_54, [(openBlock(true), createElementBlock(Fragment, null, renderList(comments.value, comment => {
        return openBlock(), createElementBlock("div", {
          key: comment.id,
          class: "comment-item"
        }, [createBaseVNode("div", _hoisted_55, [createBaseVNode("a", {
          href: comment.link,
          target: "_blank"
        }, "🟦 " + toDisplayString(comment.title), 9, _hoisted_56), createBaseVNode("p", _hoisted_57, "帖子ID: " + toDisplayString(comment.postId), 1)]), createBaseVNode("div", null, [_cache[36] || (_cache[36] = createBaseVNode("div", {
          class: "comment-content-label"
        }, "💬 评论内容：", -1)), createBaseVNode("div", _hoisted_58, toDisplayString(comment.content), 1)])]);
      }), 128))]), comments.value.length === 0 ? (openBlock(), createElementBlock("div", _hoisted_59, " 未生成评论内容 ")) : createCommentVNode("", true), createBaseVNode("div", _hoisted_60, [createBaseVNode("p", _hoisted_61, [_cache[37] || (_cache[37] = createTextVNode(" 本次任务共生成 ")), createBaseVNode("span", _hoisted_62, toDisplayString(comments.value.length), 1), _cache[38] || (_cache[38] = createTextVNode(" 条评论 "))]), _cache[39] || (_cache[39] = createBaseVNode("p", {
        style: {
          "font-size": "12px",
          "color": "#9ca3af",
          "margin-top": "4px"
        }
      }, " 您的反馈将帮助我们持续优化AI评论质量 ", -1))])])]), createBaseVNode("section", _hoisted_63, [_cache[47] || (_cache[47] = createBaseVNode("h2", {
        class: "section-title"
      }, [createBaseVNode("span", {
        class: "section-number"
      }, "5"), createTextVNode(" 其他功能 ")], -1)), createBaseVNode("div", _hoisted_64, [createBaseVNode("div", _hoisted_65, [_cache[41] || (_cache[41] = createBaseVNode("div", {
        class: "feature-icon"
      }, "📥", -1)), _cache[42] || (_cache[42] = createBaseVNode("h3", {
        class: "feature-title"
      }, "数据导出", -1)), _cache[43] || (_cache[43] = createBaseVNode("p", {
        class: "feature-desc"
      }, "将本次任务报告导出为PDF或Excel文件", -1)), createBaseVNode("div", null, [createBaseVNode("button", {
        class: "btn-primary",
        onClick: exportToPDF
      }, " 📄 导出PDF "), createBaseVNode("button", {
        class: "btn-primary btn-green",
        onClick: _cache[0] || (_cache[0] = $event => exportToExcel(comments.value))
      }, " 📊 导出Excel ")])]), createBaseVNode("div", _hoisted_66, [_cache[44] || (_cache[44] = createBaseVNode("div", {
        class: "feature-icon"
      }, "✉️", -1)), _cache[45] || (_cache[45] = createBaseVNode("h3", {
        class: "feature-title"
      }, "意见反馈", -1)), _cache[46] || (_cache[46] = createBaseVNode("p", {
        class: "feature-desc"
      }, "对小薯条产品有建议？我们很想听到您的声音", -1)), createBaseVNode("button", {
        class: "btn-primary",
        onClick: _cache[1] || (_cache[1] = $event => sendGeneralFeedback())
      }, " ✈️ 发送反馈 ")])])])]), createBaseVNode("div", {
        id: "feedbackModal",
        class: normalizeClass(["modal", {
          show: showFeedbackModal.value
        }])
      }, [createBaseVNode("div", _hoisted_67, [createBaseVNode("div", {
        class: "modal-header"
      }, [_cache[48] || (_cache[48] = createBaseVNode("h3", {
        class: "modal-title"
      }, "详细反馈", -1)), createBaseVNode("button", {
        class: "close-btn",
        onClick: closeFeedbackModal
      }, "×")]), _cache[51] || (_cache[51] = createBaseVNode("p", {
        style: {
          "color": "#6b7280",
          "margin-bottom": "12px",
          "font-size": "14px"
        }
      }, "请详细描述您对这条评论的建议：", -1)), createBaseVNode("div", _hoisted_68, [_cache[49] || (_cache[49] = createBaseVNode("label", {
        class: "form-label",
        for: "email"
      }, "邮箱地址：", -1)), withDirectives(createBaseVNode("input", {
        type: "email",
        id: "email",
        class: "form-input",
        "onUpdate:modelValue": _cache[2] || (_cache[2] = $event => feedback.value.email = $event),
        required: ""
      }, null, 512), [[vModelText, feedback.value.email]])]), createBaseVNode("div", _hoisted_69, [_cache[50] || (_cache[50] = createBaseVNode("label", {
        class: "form-label",
        for: "message"
      }, "反馈内容：", -1)), withDirectives(createBaseVNode("textarea", {
        id: "message",
        class: "form-textarea",
        "onUpdate:modelValue": _cache[3] || (_cache[3] = $event => feedback.value.message = $event),
        placeholder: "请详细描述您的意见或建议...",
        required: ""
      }, null, 512), [[vModelText, feedback.value.message]])]), createBaseVNode("div", {
        style: {
          "display": "flex",
          "justify-content": "flex-end",
          "gap": "8px"
        }
      }, [createBaseVNode("button", {
        class: "btn",
        style: {
          "background": "#e5e7eb",
          "color": "#374151"
        },
        onClick: closeFeedbackModal
      }, "取消"), createBaseVNode("button", {
        class: "btn-primary",
        onClick: submitDetailedFeedback
      }, "提交反馈")])])], 2), createBaseVNode("footer", {
        class: normalizeClass({
          "exportPdf": exportPdfBool.value,
          "footer": true
        })
      }, _cache[52] || (_cache[52] = [createStaticVNode('<div class="container" data-v-f899e76e><div class="footer-content" data-v-f899e76e><div class="footer-brand" data-v-f899e76e><div class="footer-icon" data-v-f899e76e> 🍟 </div><span style="font-weight:bold;" data-v-f899e76e>小薯条</span></div><p class="footer-text" data-v-f899e76e>您的智能养号助手，一键活跃解放双手！</p><p class="footer-copyright" data-v-f899e76e>© 2024 chipup.fsotool.com. All rights reserved.</p></div></div>', 1)]), 2)], 512);
    };
  }
});
const runEchartsReportDemo2 = /* @__PURE__ */_export_sfc(_sfc_main$4, [["__scopeId", "data-v-f899e76e"]]);
const _imports_0 = "/assets/assets-head1.jpeg";
const _imports_1 = "/assets/assets-head2.jpeg";
const _hoisted_1$3 = {
  style: {
    "background": "#F9425B",
    "border-radius": "10px",
    "height": "30px",
    "line-height": "30px",
    "width": "200px",
    "padding-left": "8px",
    "color": "#fff",
    "font-weight": "bold"
  }
};
const _hoisted_2$2 = {
  style: {
    "font-size": "16px",
    "color": "#213547"
  }
};
const _hoisted_3$2 = {
  style: {
    "color": "black",
    "font-size": "16px",
    "font-weight": "bold"
  }
};
const _hoisted_4$2 = {
  style: {
    "font-size": "16px",
    "color": "#213547"
  }
};
const _hoisted_5$2 = {
  style: {
    "color": "black",
    "font-size": "16px",
    "font-weight": "bold"
  }
};
const _hoisted_6$2 = {
  style: {
    "font-size": "16px",
    "color": "#213547"
  }
};
const _hoisted_7$2 = {
  style: {
    "color": "black",
    "font-size": "16px",
    "font-weight": "bold"
  }
};
const _sfc_main$3 = /* @__PURE__ */defineComponent({
  __name: "installPlugins",
  setup(__props) {
    const openExtensions = async () => {
      await chrome.tabs.create({
        url: "chrome://extensions/"
      });
    };
    const $t = inject("$t");
    return (_ctx, _cache) => {
      const _component_el_button = ElButton;
      return openBlock(), createElementBlock("div", null, [createBaseVNode("div", _hoisted_1$3, toDisplayString(unref($t)("optionsWindowHowToInstallText")), 1), _cache[1] || (_cache[1] = createBaseVNode("div", {
        style: {
          "height": "10px",
          "line-height": "10px"
        }
      }, null, -1)), createBaseVNode("div", _hoisted_2$2, [createBaseVNode("span", _hoisted_3$2, toDisplayString(unref($t)("optionsWindowStepNumText")), 1), createTextVNode(toDisplayString(unref($t)("optionsWindowStepNumText2")), 1), _cache[0] || (_cache[0] = createBaseVNode("span", {
        style: {
          "color": "#F9425B",
          "font-weight": "bold",
          "padding-left": "5px"
        }
      }, "chrome://extensions", -1)), createVNode(_component_el_button, {
        round: "",
        style: {
          "margin-left": "10px"
        },
        onClick: openExtensions
      }, {
        default: withCtx(() => [createTextVNode(toDisplayString(unref($t)("optionsWindowStepNumText3")), 1)]),
        _: 1
      })]), _cache[2] || (_cache[2] = createBaseVNode("div", {
        style: {
          "height": "30px",
          "line-height": "30px"
        }
      }, null, -1)), createBaseVNode("div", _hoisted_4$2, [createBaseVNode("span", _hoisted_5$2, toDisplayString(unref($t)("optionsWindowStep2NumText")), 1), createTextVNode(toDisplayString(unref($t)("optionsWindowStep2NumText2")), 1)]), _cache[3] || (_cache[3] = createBaseVNode("div", {
        style: {
          "height": "10px",
          "line-height": "10px"
        }
      }, null, -1)), _cache[4] || (_cache[4] = createBaseVNode("img", {
        src: _imports_0,
        style: {
          "width": "600px"
        },
        alt: "Vue logo"
      }, null, -1)), _cache[5] || (_cache[5] = createBaseVNode("div", {
        style: {
          "height": "30px",
          "line-height": "30px"
        }
      }, null, -1)), createBaseVNode("div", _hoisted_6$2, [createBaseVNode("span", _hoisted_7$2, toDisplayString(unref($t)("optionsWindowStep3NumText")), 1), createTextVNode(toDisplayString(unref($t)("optionsWindowStep3NumText2")), 1)]), _cache[6] || (_cache[6] = createBaseVNode("div", {
        style: {
          "height": "10px",
          "line-height": "10px"
        }
      }, null, -1)), _cache[7] || (_cache[7] = createBaseVNode("img", {
        src: _imports_1,
        style: {
          "width": "600px"
        },
        alt: "Vue logo"
      }, null, -1))]);
    };
  }
});
const VITE_LOGIN_API$1 = "https://global-auth.petron.ai";
async function putBurialPoint(postData) {
  console.log("putBurialPoint", postData);
  const url = VITE_LOGIN_API$1 + "/api/v1/analytics_events";
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "POST",
      headers,
      body: JSON.stringify(postData)
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(store.accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ",postData：" + JSON.stringify(postData) + " response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
const VITE_LOGIN_API = "https://global-auth.petron.ai";
async function createTenants(postData) {
  console.log("createTenants", postData);
  const url = VITE_LOGIN_API + "/api/v1/tenants";
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "POST",
      headers,
      body: JSON.stringify(postData)
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(store.accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ",postData：" + JSON.stringify(postData) + " response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
async function queryTenants(tenantName) {
  console.log("queryTenants", tenantName);
  const url = VITE_LOGIN_API + "/api/v1/tenants?name=" + tenantName;
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "get",
      headers
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(store.accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ",tenantName：" + tenantName + " response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + ",tenantName：" + tenantName + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
async function bingingTenants(tenant_id) {
  console.log("bingingTenants", tenant_id);
  const url = VITE_LOGIN_API + `/api/v1/tenants/${tenant_id}/binding`;
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "POST",
      headers
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(store.accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
async function tenantsMine() {
  console.log("tenantsMine");
  const url = VITE_LOGIN_API + `/api/v1/tenants/mine`;
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "GET",
      headers
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(store.accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
const VITE_TERMINAL_API = "https://agent-net.paitongai.net/terminal";
async function register_terminal(agent_id, agent_name) {
  sendLog("register_terminal accessToken: " + store.accessToken);
  const url = VITE_TERMINAL_API + "/api/terminals/register_terminal?agent_id=" + agent_id + "&agent_name=" + agent_name;
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "POST",
      headers
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(store.accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + " response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
const VITE_AGENT_BUSINESS_API = "https://prod-agbusiness-zyqflxidth.cn-huhehaote.fcapp.run";
const VITE_AGENT_ID = "dou-yin-chrome-extension";
const VITE_AGENT_NAME = "客资工具";
async function saveTerminal(terminalId, postData) {
  console.log("terminal", postData);
  const url = VITE_AGENT_BUSINESS_API + "/api/terminal/" + terminalId;
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "POST",
      headers,
      body: JSON.stringify(postData)
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(store.accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ",postData：" + JSON.stringify(postData) + " response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
async function queryTerminal() {
  const url = `${VITE_AGENT_BUSINESS_API}/api/terminal?only_bound=true&agent_id=${VITE_AGENT_ID}`;
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "GET",
      headers
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(store.accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + " response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    if (!result || result.total == 0 || !result.data) {
      return;
    }
    return {
      terminalId: result.data[0].terminal_id,
      terminalName: result.data[0].terminal_name
    };
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
async function saveTerminalBind(terminalId, postData) {
  console.log("terminal", postData);
  const url = VITE_AGENT_BUSINESS_API + "/api/terminal/" + terminalId + "/bind";
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + store.accessToken
  };
  try {
    const response = await fetch(url, {
      method: "POST",
      headers,
      body: JSON.stringify(postData)
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(store.accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ",postData：" + JSON.stringify(postData) + " response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
async function terminalCredentials(terminalId, accessToken) {
  const url = VITE_AGENT_BUSINESS_API + "/api/terminal/" + terminalId + "/credentials";
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + accessToken
  };
  try {
    const response = await fetch(url, {
      method: "GET",
      headers
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + " response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
const agentBusiness = async (boolBind = false) => {
  try {
    let terminalInfo = await queryTerminal();
    if (!terminalInfo) {
      const terminal_result = await register_terminal(VITE_AGENT_ID, VITE_AGENT_NAME);
      if (!terminal_result || !terminal_result.terminalId) {
        sendLog("注册设备错误");
        return false;
      }
      const postTerminalData = {
        "agent_id": VITE_AGENT_ID,
        "terminal_name": store.terminalData && store.terminalData.terminalName ? store.terminalData.terminalName : "请设置设备名称",
        "tenant_id": store.tenantId
      };
      const saveTerminalResult = await saveTerminal(terminal_result.terminalId, postTerminalData);
      if (!saveTerminalResult || !saveTerminalResult.data) {
        sendLog("保存设备错误");
        return false;
      }
      terminalInfo = await queryTerminal();
      if (!terminalInfo) {
        sendLog("没有设备信息");
        return false;
      }
    } else {
      if (boolBind) {
        const saveTerminalBindData = {
          "terminal_name": terminalInfo.terminalName ? terminalInfo.terminalName : "请设置设备名称"
        };
        const saveTerminalBindRes = await saveTerminalBind(terminalInfo.terminalId, saveTerminalBindData);
        console.log("agentBusiness saveTerminalBindRes", saveTerminalBindRes);
      }
    }
    const terminalCredentialsResult = await terminalCredentials(terminalInfo.terminalId, store.accessToken);
    if (!terminalCredentialsResult || !terminalCredentialsResult.data || !terminalCredentialsResult.data.mqtt_username || !terminalCredentialsResult.data.mqtt_password) {
      sendLog("获取密码错误");
      return false;
    }
    sendLog("terminalCredentialsResult" + JSON.stringify(terminalCredentialsResult));
    sendLog("terminalInfo" + JSON.stringify(terminalInfo));
    store.setTerminalData({
      terminalId: terminalInfo.terminalId,
      terminalName: terminalInfo.terminalName,
      topic: {
        // 订阅任务
        "task_topic": `/msg/task/${store.tenantId}/+/${VITE_AGENT_ID}/${terminalInfo.terminalId}`,
        // 任务执行状态
        "task_reply_topics": `/msg/reply/terminal/${store.tenantId}/${store.userId}/${VITE_AGENT_ID}/${terminalInfo.terminalId}`,
        // 终端状态
        "status_reply_topics": `/msg/reply/terminal/${store.tenantId}/${store.userId}/${VITE_AGENT_ID}/${terminalInfo.terminalId}/status`,
        // 运行日志
        "run_logs_reply_topics": `/msg/reply/terminal/${store.tenantId}/${store.userId}/${VITE_AGENT_ID}/${terminalInfo.terminalId}/run_logs`,
        // 心跳
        "heart_beat_topics": `/msg/reply/terminal/${store.tenantId}/${store.userId}/${VITE_AGENT_ID}/${terminalInfo.terminalId}/heart_beat`,
        // 报告
        "report_topics": `/msg/reply/terminal/${store.tenantId}/${store.userId}/${VITE_AGENT_ID}/${terminalInfo.terminalId}/report`
      },
      "mqtt_username": terminalCredentialsResult.data.mqtt_username,
      "mqtt_password": terminalCredentialsResult.data.mqtt_password
    });
    return true;
  } catch (e) {
    sendLog("agentBusiness e" + e);
  }
  return false;
};
const _hoisted_1$2 = {
  key: 0,
  style: {
    "display": "flex",
    "flex-direction": "column",
    "justify-content": "center",
    "align-items": "center",
    "font-size": "24px"
  }
};
const _hoisted_2$1 = {
  style: {
    "font-size": "24px",
    "color": "#213547"
  }
};
const _hoisted_3$1 = ["src"];
const _hoisted_4$1 = {
  key: 1,
  style: {
    "display": "flex",
    "align-items": "center",
    "height": "45px",
    "line-height": "45px"
  }
};
const _hoisted_5$1 = {
  key: 0,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_6$1 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_7$1 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.9em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_8$1 = {
  key: 1,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_9$1 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_10$1 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.9em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_11$1 = {
  key: 2,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_12$1 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_13$1 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.9em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_14$1 = {
  key: 2,
  style: {
    "font-size": "24px",
    "color": "#213547"
  }
};
const _hoisted_15$1 = {
  key: 3,
  style: {
    "display": "flex",
    "align-items": "center",
    "height": "45px",
    "line-height": "45px"
  }
};
const _hoisted_16$1 = {
  key: 0,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_17$1 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_18$1 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.1em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_19$1 = {
  key: 1,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_20$1 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_21$1 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.1em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_22$1 = {
  key: 2,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_23$1 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_24$1 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.1em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_25 = {
  class: "dialog-footer"
};
const _hoisted_26 = {
  class: "dialog-footer"
};
const _hoisted_27 = {
  class: "dialog-footer"
};
const _sfc_main$2 = /* @__PURE__ */defineComponent({
  __name: "Login",
  setup(__props) {
    const VITE_AGENT_BOOL = "false";
    const loginStatusText = ref(getLocalizedMessage("loginLoggingText"));
    const showIframeBool = ref(false);
    const optionsPageNameOrgin = ref("");
    const getLoginTokenBool = ref(false);
    const getLoginTokenCancelBoolean = ref(false);
    const getLoginTokenFun = async () => {
      console.log("optionsPageName getAccessToken");
      window.addEventListener("message", event => {
        if (event.data.type === "open-auth") {
          window.open(event.data.url, "_blank");
        }
      });
      try {
        closeTimeOutNum.value = 10;
        getLoginTokenController = new AbortController();
        const signal = getLoginTokenController.signal;
        const res = await getLoginToken(store.accessToken_request_id, signal);
        if (getLoginTokenCancelBoolean.value) {
          console.log("getLoginTokenCancelBoolean：", getLoginTokenCancelBoolean.value);
          optionsPageNameOrgin.value = store.optionsPageName;
          chrome.storage.local.set({
            "optionsPageName": ""
          }).then(res2 => {
            console.log("res", res2);
          });
          return;
        }
        if (!res) {
          loginStatusText.value = getLocalizedMessage("loginLoginTimeOutText");
          optionsPageNameOrgin.value = store.optionsPageName;
          chrome.storage.local.set({
            "optionsPageName": ""
          }).then(res2 => {
            console.log("res", res2);
          });
          getLoginTokenBool.value = false;
          getLoginTokenCancelBoolean.value = true;
          showIframeBool.value = false;
          setTimeout(() => {
            closeTimeOutFun();
          }, 1e3);
          return;
        }
        console.log("getLoginToken", res);
        store.setUserName(res["email"]);
        store.setTenantId(res["tenant_id"]);
        store.setUserId(res["user_id"]);
        store.setAccessToken(res["access_token"]);
        store.setAccessToken_request_id("");
        console.log("VITE_AGENT_BOOL", VITE_AGENT_BOOL);
        if (VITE_AGENT_BOOL == "true") ;
        const postData = {
          "app_id": "dou-yin-automatic-reviews",
          "client_id": store.clientVisitorId,
          "event": "loginSuccess",
          "category": "",
          "data": {},
          "data_type": "",
          "description": ""
        };
        putBurialPoint(postData).then(() => {});
        loginStatusText.value = getLocalizedMessage("loginLoginSuccessText");
        showIframeBool.value = false;
        optionsPageNameOrgin.value = store.optionsPageName;
        chrome.storage.local.set({
          "optionsPageName": ""
        }).then(res2 => {
          console.log("res", res2);
        });
        getLoginTokenBool.value = false;
        if (tenantDialogVisible.value == false) {
          getLoginTokenCancelBoolean.value = true;
          setTimeout(() => {
            closeTimeOutFun();
          }, 1e3);
        }
      } catch (error) {
        getLoginTokenBool.value = false;
        console.log("error", error);
        ElMessage.error(getLocalizedMessage("loginLoginTimeOutText"));
        loginStatusText.value = getLocalizedMessage("loginLoginTimeOutText");
        optionsPageNameOrgin.value = store.optionsPageName;
        chrome.storage.local.set({
          "optionsPageName": ""
        }).then(res => {
          console.log("res", res);
        });
        getLoginTokenCancelBoolean.value = true;
        showIframeBool.value = false;
        if (tenantDialogVisible.value == false) {
          setTimeout(() => {
            closeTimeOutFun();
          }, 1e3);
        }
      } finally {
        store.setLoginAuthUrl("");
        getLoginTokenBool.value = false;
        chrome.storage.local.set({
          "loginAuthUrl": ""
        });
      }
    };
    const callBackHandler = (changes, namespace) => {
      for (let [key, {
        oldValue,
        newValue
      }] of Object.entries(changes)) {
        sendLog(`login Storage key "${key}" in namespace "${namespace}" changed.Old value was "${oldValue}", new value is "${newValue}".`);
        if (!newValue) {
          continue;
        }
        switch (key) {
          case "optionsPageName":
            store.setOptionsPageName(newValue);
            if (newValue == "getAccessToken") {
              console.log("chrome.storage.onChanged.addListener getAccessToken ", store.accessToken_request_id);
              loginStatusText.value = getLocalizedMessage("loginLoggingText");
              if (store.accessToken_request_id && getLoginTokenBool.value == false) {
                getLoginTokenBool.value = true;
                getLoginTokenCancelBoolean.value = false;
                getLoginTokenFun().then(() => {});
              }
            }
            if (newValue == "bindingTenants") {
              loginStatusText.value = getLocalizedMessage("bindingTenantsText");
              tenantDialogVisible.value = true;
            }
            chrome.storage.local.set({
              "optionsPageName": ""
            }).then(res => {
              console.log("res", res);
            });
            break;
          case "loginAuthUrl":
            store.setLoginAuthUrl(newValue);
            if (newValue) {
              showIframeBool.value = true;
            }
            chrome.storage.local.set({
              "loginAuthUrl": ""
            }).then(res => {
              console.log("res", res);
            });
            break;
          case "accessToken_request_id":
            store.setAccessToken_request_id2(newValue);
            console.log("chrome.storage.onChanged.addListener accessToken_request_id ", store.accessToken_request_id);
            if (store.accessToken_request_id && getLoginTokenBool.value == false) {
              getLoginTokenBool.value = true;
              getLoginTokenCancelBoolean.value = false;
              getLoginTokenFun().then(() => {});
            }
            chrome.storage.local.set({
              "accessToken_request_id": ""
            }).then(res => {
              console.log("res", res);
            });
            break;
        }
      }
    };
    store.checkLoadend().then(async () => {
      if (store.optionsPageName == "getAccessToken" && getLoginTokenBool.value == false) {
        getLoginTokenBool.value = true;
        getLoginTokenCancelBoolean.value = false;
        loginStatusText.value = getLocalizedMessage("loginLoggingText");
        sendLog("checkLoadend getAccessToken:" + store.optionsPageName);
        showIframeBool.value = true;
        storageUtil.addHandlers(callBackHandler);
        await getLoginTokenFun();
      }
      console.log("login bindingTenants", store.optionsPageName);
      if (store.optionsPageName == "bindingTenants" && tenantDialogVisible.value == false) {
        setTimeout(() => {
          chrome.storage.local.set({
            "optionsPageName": ""
          });
        }, 5e3);
        loginStatusText.value = getLocalizedMessage("bindingTenantsText");
        tenantDialogVisible.value = true;
        storageUtil.addHandlers(callBackHandler);
      }
    });
    onBeforeUnmount(() => {
      console.log("LOGIN onBeforeUnmount");
      storageUtil.removeListener(callBackHandler);
    });
    const cancelPayOption = ref(0);
    const closeTimeOutNum = ref(10);
    let getLoginTokenController = void 0;
    const cancelGetLoginTokenFun = () => {
      getLoginTokenBool.value = false;
      getLoginTokenCancelBoolean.value = true;
      if (getLoginTokenController) {
        getLoginTokenController.abort();
        loginStatusText.value = getLocalizedMessage("loginLoginCancelText");
        showIframeBool.value = false;
        store.setLoginAuthUrl("");
        setTimeout(() => {
          closeTimeOutFun();
        }, 1e3);
      }
    };
    const closeTimeOutFun = () => {
      if (closeTimeOutNum.value <= 0) {
        sendCloseTab();
        return;
      }
      closeTimeOutNum.value = closeTimeOutNum.value - 1;
      setTimeout(() => {
        closeTimeOutFun();
      }, 1e3);
    };
    const tenantDialogVisible = ref(false);
    const tenantJoinDialogVisible = ref(false);
    const tenantCreateDialogVisible = ref(false);
    const buttonLoading = ref(false);
    const form = reactive({
      tenantId: "",
      tenantName: "",
      tenantName2: ""
    });
    const createTenantsFun = () => {
      buttonLoading.value = true;
      createTenants({
        name: form.tenantName
      }).then(async res => {
        console.log("createTenantsFun res", res);
        if (!res) {
          ElMessage.error("创建公司错误！");
        } else {
          if (res && res.data && res.data.id) {
            store.setTenantId(res.data.id);
            store.setTenantName(res.data.name);
            if (res.data.access_token) {
              sendLog("createTenantsFun res.data.access_token" + res.data.access_token);
              store.setAccessToken(res.data.access_token);
            } else {
              sendLog("createTenantsFun not res.data.access_token" + res.data.access_token);
            }
            const agentBusinessRes = await agentBusiness(true);
            if (agentBusinessRes) {
              ElMessage.success("创建公司成功");
              tenantCreateDialogVisible.value = false;
              notTenants();
            } else {
              ElMessage.error("创建公司错误！");
            }
          } else {
            ElMessage.error("创建公司错误！");
          }
        }
      }).catch(error => {
        console.log("createTenantsFun error", error);
        ElMessage.error("创建公司错误！");
      }).finally(() => {
        console.log("createTenantsFun finally");
        buttonLoading.value = false;
      });
    };
    const queryTenantsFun = () => {
      buttonLoading.value = true;
      if (!form.tenantName) {
        buttonLoading.value = false;
        return;
      }
      queryTenants(form.tenantName).then(res => {
        console.log("queryTenantsFun res", res);
        if (!res) ;else {
          if (res && res.data && res.data.id) {
            form.tenantName2 = res.data.name;
            form.tenantId = res.data.id;
          }
        }
      }).catch(error => {
        console.log("createTenantsFun error", error);
      }).finally(() => {
        console.log("createTenantsFun finally");
        buttonLoading.value = false;
      });
    };
    const bingingTenantsFun = () => {
      buttonLoading.value = true;
      bingingTenants(form.tenantId).then(async res => {
        console.log("bingingTenants res", res);
        if (!res) {
          ElMessage.error("绑定公司错误！");
        } else {
          if (res && res.code === 0) {
            if (res.data.access_token) {
              sendLog("bingingTenants res.data.access_token" + res.data.access_token);
              store.setAccessToken(res.data.access_token);
            } else {
              sendLog("bingingTenants not res.data.access_token" + res.data.access_token);
            }
            buttonLoading.value = true;
            return tenantsMine();
          } else {
            ElMessage.error("绑定公司错误！");
          }
        }
      }).then(async res => {
        if (res && res.data && res.data.id) {
          store.setTenantId(form.tenantId);
          store.setTenantName(res.data.name);
          const agentBusinessRes = await agentBusiness(true);
          if (agentBusinessRes) {
            ElMessage.success("绑定公司成功！");
            tenantJoinDialogVisible.value = false;
            notTenants();
          } else {
            ElMessage.error("绑定公司错误！");
          }
        } else {
          ElMessage.error("绑定公司错误！");
        }
      }).catch(error => {
        console.log("bingingTenants error", error);
        ElMessage.error("绑定公司错误！");
      }).finally(() => {
        console.log("bingingTenants finally");
        buttonLoading.value = false;
      });
    };
    const handleClose = done => {
      done();
      tenantJoinDialogVisible.value = false;
      tenantCreateDialogVisible.value = false;
      notTenants();
    };
    const notTenants = () => {
      if (getLoginTokenCancelBoolean.value == true) {
        return;
      }
      if (tenantJoinDialogVisible.value || tenantCreateDialogVisible.value) {
        return;
      }
      getLoginTokenCancelBoolean.value = true;
      tenantDialogVisible.value = false;
      setTimeout(() => {
        closeTimeOutFun();
      }, 1e3);
    };
    const $t = inject("$t");
    return (_ctx, _cache) => {
      const _component_el_button = ElButton;
      const _component_el_dialog = ElDialog;
      const _component_el_input = ElInput;
      const _component_el_form_item = ElFormItem;
      const _component_el_form = ElForm;
      return unref(store).optionsPageName == "getAccessToken" || optionsPageNameOrgin.value == "getAccessToken" || unref(store).optionsPageName == "bindingTenants" ? (openBlock(), createElementBlock("div", _hoisted_1$2, [createBaseVNode("div", _hoisted_2$1, toDisplayString(loginStatusText.value), 1), showIframeBool.value ? (openBlock(), createElementBlock("iframe", {
        key: 0,
        src: unref(store).loginAuthUrl + "&open_blank=true",
        style: {
          "width": "600px",
          "height": "600px",
          "z-index": "10000004",
          "border": "none"
        }
      }, null, 8, _hoisted_3$1)) : createCommentVNode("", true), _cache[24] || (_cache[24] = createBaseVNode("div", {
        style: {
          "height": "30px",
          "line-height": "30px"
        }
      }, null, -1)), getLoginTokenBool.value ? (openBlock(), createElementBlock("div", _hoisted_4$1, [createBaseVNode("div", {
        onClick: cancelGetLoginTokenFun,
        onMouseover: _cache[0] || (_cache[0] = () => {
          cancelPayOption.value = 1;
        }),
        onMouseleave: _cache[1] || (_cache[1] = () => {
          cancelPayOption.value = 0;
        })
      }, [cancelPayOption.value == 0 ? (openBlock(), createElementBlock("div", _hoisted_5$1, [_cache[12] || (_cache[12] = createBaseVNode("img", {
        src: _imports_0$1,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_6$1, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCancelText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_7$1, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true), cancelPayOption.value == 1 ? (openBlock(), createElementBlock("div", _hoisted_8$1, [_cache[13] || (_cache[13] = createBaseVNode("img", {
        src: _imports_1$1,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_9$1, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCancelText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_10$1, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true), cancelPayOption.value == 2 ? (openBlock(), createElementBlock("div", _hoisted_11$1, [_cache[14] || (_cache[14] = createBaseVNode("img", {
        src: _imports_2,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_12$1, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCancelText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_13$1, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true)], 32)])) : createCommentVNode("", true), getLoginTokenCancelBoolean.value ? (openBlock(), createElementBlock("div", _hoisted_14$1, toDisplayString(unref($t)("optionsWindowCloseTimeOutText", closeTimeOutNum.value)), 1)) : createCommentVNode("", true), getLoginTokenCancelBoolean.value ? (openBlock(), createElementBlock("div", _hoisted_15$1, [createBaseVNode("div", {
        onClick: _cache[2] || (_cache[2] =
        //@ts-ignore
        (...args) => unref(sendCloseTab) && unref(sendCloseTab)(...args)),
        onMouseover: _cache[3] || (_cache[3] = () => {
          cancelPayOption.value = 1;
        }),
        onMouseleave: _cache[4] || (_cache[4] = () => {
          cancelPayOption.value = 0;
        })
      }, [cancelPayOption.value == 0 ? (openBlock(), createElementBlock("div", _hoisted_16$1, [_cache[15] || (_cache[15] = createBaseVNode("img", {
        src: _imports_0$1,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_17$1, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCloseText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_18$1, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true), cancelPayOption.value == 1 ? (openBlock(), createElementBlock("div", _hoisted_19$1, [_cache[16] || (_cache[16] = createBaseVNode("img", {
        src: _imports_1$1,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_20$1, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCloseText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_21$1, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true), cancelPayOption.value == 2 ? (openBlock(), createElementBlock("div", _hoisted_22$1, [_cache[17] || (_cache[17] = createBaseVNode("img", {
        src: _imports_2,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_23$1, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCloseText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_24$1, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true)], 32)])) : createCommentVNode("", true), createVNode(_component_el_dialog, {
        modelValue: tenantDialogVisible.value,
        "onUpdate:modelValue": _cache[7] || (_cache[7] = $event => tenantDialogVisible.value = $event),
        title: "提示",
        width: "500",
        "close-on-click-modal": false,
        "close-on-press-escape": false,
        "before-close": handleClose
      }, {
        footer: withCtx(() => [createBaseVNode("div", _hoisted_25, [createVNode(_component_el_button, {
          type: "primary",
          onClick: _cache[5] || (_cache[5] = $event => {
            tenantDialogVisible.value = false;
            tenantJoinDialogVisible.value = true;
          })
        }, {
          default: withCtx(() => _cache[18] || (_cache[18] = [createTextVNode("加入已有的公司")])),
          _: 1
        }), createVNode(_component_el_button, {
          type: "primary",
          onClick: _cache[6] || (_cache[6] = $event => {
            tenantDialogVisible.value = false;
            tenantCreateDialogVisible.value = true;
          })
        }, {
          default: withCtx(() => _cache[19] || (_cache[19] = [createTextVNode("创建新的公司")])),
          _: 1
        }), createVNode(_component_el_button, {
          onClick: notTenants
        }, {
          default: withCtx(() => _cache[20] || (_cache[20] = [createTextVNode("跳过，不需要")])),
          _: 1
        })])]),
        default: withCtx(() => [_cache[21] || (_cache[21] = createBaseVNode("span", null, "当前用户没有加入任何公司，请确认是否需要创建或加入公司！", -1))]),
        _: 1
      }, 8, ["modelValue"]), createVNode(_component_el_dialog, {
        modelValue: tenantJoinDialogVisible.value,
        "onUpdate:modelValue": _cache[9] || (_cache[9] = $event => tenantJoinDialogVisible.value = $event),
        title: "加入已有的公司",
        width: "500",
        "close-on-click-modal": false,
        "close-on-press-escape": false,
        "before-close": handleClose
      }, {
        footer: withCtx(() => [createBaseVNode("div", _hoisted_26, [createVNode(_component_el_button, {
          disabled: form.tenantId == "",
          loading: buttonLoading.value,
          type: "primary",
          onClick: bingingTenantsFun
        }, {
          default: withCtx(() => _cache[22] || (_cache[22] = [createTextVNode("加入公司")])),
          _: 1
        }, 8, ["disabled", "loading"])])]),
        default: withCtx(() => [createVNode(_component_el_form, {
          model: form,
          "label-width": "auto",
          style: {
            "max-width": "600px"
          }
        }, {
          default: withCtx(() => [createVNode(_component_el_form_item, {
            label: "公司名称"
          }, {
            default: withCtx(() => [createVNode(_component_el_input, {
              modelValue: form.tenantName,
              "onUpdate:modelValue": _cache[8] || (_cache[8] = $event => form.tenantName = $event),
              style: {
                "max-width": "600px"
              },
              placeholder: "请输入已有的公司名称查询",
              class: "input-with-select"
            }, {
              append: withCtx(() => [createVNode(_component_el_button, {
                loading: buttonLoading.value,
                icon: unref(search_default),
                onClick: queryTenantsFun
              }, null, 8, ["loading", "icon"])]),
              _: 1
            }, 8, ["modelValue"])]),
            _: 1
          }), form.tenantId ? (openBlock(), createBlock(_component_el_form_item, {
            key: 0,
            label: "公司Id"
          }, {
            default: withCtx(() => [createBaseVNode("span", null, toDisplayString(form.tenantId), 1)]),
            _: 1
          })) : createCommentVNode("", true), form.tenantId ? (openBlock(), createBlock(_component_el_form_item, {
            key: 1,
            label: "公司名称"
          }, {
            default: withCtx(() => [createBaseVNode("span", null, toDisplayString(form.tenantName2), 1)]),
            _: 1
          })) : createCommentVNode("", true)]),
          _: 1
        }, 8, ["model"])]),
        _: 1
      }, 8, ["modelValue"]), createVNode(_component_el_dialog, {
        modelValue: tenantCreateDialogVisible.value,
        "onUpdate:modelValue": _cache[11] || (_cache[11] = $event => tenantCreateDialogVisible.value = $event),
        title: "创建新的公司",
        width: "500",
        "close-on-click-modal": false,
        "close-on-press-escape": false,
        "before-close": handleClose
      }, {
        footer: withCtx(() => [createBaseVNode("div", _hoisted_27, [createVNode(_component_el_button, {
          disabled: form.tenantName == "",
          loading: buttonLoading.value,
          type: "primary",
          onClick: createTenantsFun
        }, {
          default: withCtx(() => _cache[23] || (_cache[23] = [createTextVNode("创建公司")])),
          _: 1
        }, 8, ["disabled", "loading"])])]),
        default: withCtx(() => [createVNode(_component_el_form, {
          model: form,
          "label-width": "auto",
          style: {
            "max-width": "600px"
          }
        }, {
          default: withCtx(() => [createVNode(_component_el_form_item, {
            label: "公司名称"
          }, {
            default: withCtx(() => [createVNode(_component_el_input, {
              modelValue: form.tenantName,
              "onUpdate:modelValue": _cache[10] || (_cache[10] = $event => form.tenantName = $event)
            }, null, 8, ["modelValue"])]),
            _: 1
          })]),
          _: 1
        }, 8, ["model"])]),
        _: 1
      }, 8, ["modelValue"])])) : createCommentVNode("", true);
    };
  }
});
const VITE_PAY_API = "https://prod-payment-platform.paitongai.net";
const VITE_APP_BASE_URL = "https://plugin-api-adlrdojbyd.ap-northeast-1.fcapp.run";
function delay(ms) {
  return new Promise(resolve => setTimeout(resolve, ms));
}
async function getPayResponse(order_id, accessToken, signal, gotoYearBuyCancelBoolean) {
  for (let i = 0; i < 2; i++) {
    console.log("getPayResponse", order_id, accessToken);
    try {
      const response = await getStream(order_id, accessToken, signal);
      if (gotoYearBuyCancelBoolean()) {
        return void 0;
      }
      if (!response || !response.ok) {
        if (response) {
          console.error(`HTTP error! status: ${response.status}`, response);
        }
        await delay(3 * 1e3);
        continue;
      }
      return await response.json();
    } catch (err) {
      console.error("Error:", err);
    }
  }
  return void 0;
}
function getStream(order_id, accessToken, signal) {
  return new Promise(resolve => {
    const url = VITE_PAY_API + "/api/v1/order/" + order_id + "/stream";
    const headers = {
      "Content-Type": "application/json",
      "Authorization": "Bearer " + accessToken
    };
    fetch(url, {
      method: "GET",
      headers,
      signal
    }).then(response => {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      resolve(response);
    }).catch(error => {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error：" + error);
      if (error.name === "AbortError") {
        console.log("Fetch aborted");
      } else {
        console.error("Fetch error:", error);
      }
      resolve(void 0);
    });
  });
}
async function getSubscriptionsPay(accessToken) {
  const url = VITE_APP_BASE_URL + "/api/v1/subscription/subscriptions/current";
  const headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer " + accessToken
  };
  try {
    const response = await fetch(url, {
      method: "get",
      headers
    });
    if (!response.ok) {
      sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status);
      console.error(`HTTP error! status: ${response.status}`, response);
      if (response.status === 401) {
        console.log("登录失效");
        store.setAccessToken("");
        store.set_updateVipDateTime("");
        store.setUserInfoEndDate("");
        await logout(accessToken);
      }
      if (response.status == 404) {
        return void 0;
      }
      return void 0;
    }
    const result = await response.json();
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", response status:" + response.status + ", response data:" + JSON.stringify(result));
    console.log("result", result);
    return result;
  } catch (error) {
    sendLog("url:" + url + "，header:" + JSON.stringify(headers) + ", error" + error);
    console.error("Error:", error);
  }
  return void 0;
}
const _hoisted_1$1 = {
  key: 0,
  style: {
    "background": "#fff",
    "display": "flex",
    "justify-content": "center",
    "top": "20px",
    "left": "40px",
    "z-index": "1000",
    "flex-direction": "column",
    "align-items": "center"
  }
};
const _hoisted_2 = {
  style: {
    "font-size": "24px",
    "color": "#213547"
  }
};
const _hoisted_3 = ["src"];
const _hoisted_4 = {
  key: 1,
  style: {
    "display": "flex",
    "align-items": "center",
    "height": "45px",
    "line-height": "45px"
  }
};
const _hoisted_5 = {
  key: 0,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_6 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_7 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.9em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_8 = {
  key: 1,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_9 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_10 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.9em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_11 = {
  key: 2,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_12 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_13 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.9em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_14 = {
  key: 2,
  style: {
    "font-size": "24px",
    "color": "#213547"
  }
};
const _hoisted_15 = {
  key: 3,
  style: {
    "display": "flex",
    "align-items": "center",
    "height": "45px",
    "line-height": "45px"
  }
};
const _hoisted_16 = {
  key: 0,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_17 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_18 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.1em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_19 = {
  key: 1,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_20 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_21 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.1em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _hoisted_22 = {
  key: 2,
  style: {
    "position": "relative",
    "display": "flex",
    "cursor": "pointer"
  }
};
const _hoisted_23 = {
  style: {
    "position": "absolute",
    "top": "0",
    "left": "0",
    "width": "100%",
    "height": "100%",
    "display": "flex",
    "justify-content": "center",
    "align-items": "center",
    "text-align": "center"
  }
};
const _hoisted_24 = {
  style: {
    "display": "inline-block",
    "margin": "0 0.1em",
    "color": "white",
    "font-weight": "500",
    "font-size": "18px"
  }
};
const _sfc_main$1 = /* @__PURE__ */defineComponent({
  __name: "buyProduct",
  setup(__props) {
    const loginStatusText = ref(getLocalizedMessage("loginLoggingText"));
    const showIframeBool = ref(false);
    const optionsPageNameOrgin = ref("");
    const callBackHandler = (changes, namespace) => {
      for (let [key, {
        oldValue,
        newValue
      }] of Object.entries(changes)) {
        sendLog(`buyProduct Storage key "${key}" in namespace "${namespace}" changed.Old value was "${oldValue}", new value is "${newValue}".`);
        if (!newValue) {
          continue;
        }
        switch (key) {
          case "optionsPageName":
            store.setOptionsPageName(newValue);
            if (newValue == "gotoYearBuy") {
              console.log("chrome.storage.onChanged.addListener gotoYearBuy ", store.buyUrl, store.gotoYearBuyOrderId);
              if (store.buyUrl) {
                loginStatusText.value = "";
                showIframeBool.value = true;
              } else {
                loginStatusText.value = getLocalizedMessage("payPayingNow");
                showIframeBool.value = false;
              }
              if (store.gotoYearBuyOrderId && gotoYearBuyBoolean.value == false) {
                gotoYearBuyBoolean.value = true;
                getBuy().then(() => {});
              }
            }
            chrome.storage.local.set({
              "optionsPageName": ""
            }).then(res => {
              console.log("res", res);
            });
            break;
          case "buyUrl":
            store.setBuyUrl(newValue);
            if (newValue) {
              console.log("chrome.storage.onChanged.addListener buyUrl", store.buyUrl);
              if (store.buyUrl) {
                loginStatusText.value = "";
                showIframeBool.value = true;
              } else {
                loginStatusText.value = getLocalizedMessage("payPayingNow");
                showIframeBool.value = false;
              }
              showIframeBool.value = true;
            }
            chrome.storage.local.set({
              "buyUrl": ""
            }).then(res => {
              console.log("res", res);
            });
            break;
          case "gotoYearBuyOrderId":
            store.setGotoYearBuyOrderId(newValue);
            console.log("chrome.storage.onChanged.addListener gotoYearBuyOrderId ", store.buyUrl, store.gotoYearBuyOrderId);
            if (store.gotoYearBuyOrderId && gotoYearBuyBoolean.value == false) {
              gotoYearBuyBoolean.value = true;
              if (store.buyUrl) {
                loginStatusText.value = "";
                showIframeBool.value = true;
              } else {
                loginStatusText.value = getLocalizedMessage("payPayingNow");
                showIframeBool.value = false;
              }
              getBuy().then(() => {});
            }
            chrome.storage.local.set({
              "gotoYearBuyOrderId": ""
            }).then(res => {
              console.log("res", res);
            });
            break;
        }
      }
    };
    store.checkLoadend().then(async () => {
      sendLog("buyProduct checkLoadend");
      if (store.optionsPageName == "gotoYearBuy" && gotoYearBuyBoolean.value == false) {
        gotoYearBuyBoolean.value = true;
        if (store.buyUrl) {
          loginStatusText.value = "";
          showIframeBool.value = true;
        } else {
          loginStatusText.value = getLocalizedMessage("payPayingNow");
          showIframeBool.value = false;
        }
        sendLog("checkLoadend gotoYearBuy:" + store.optionsPageName);
        storageUtil.addHandlers(callBackHandler);
        await getBuy();
      }
    });
    onBeforeUnmount(() => {
      console.log("onBeforeUnmount callBackHandler");
      storageUtil.removeListener(callBackHandler);
    });
    const gotoYearBuyBoolean = ref(false);
    const gotoYearBuyCancelBoolean = ref(false);
    let controller = void 0;
    const cancelPayOption = ref(0);
    const closeTimeOutNum = ref(10);
    const cancelPayFun = () => {
      gotoYearBuyBoolean.value = false;
      gotoYearBuyCancelBoolean.value = true;
      if (controller) {
        controller.abort();
        loginStatusText.value = getLocalizedMessage("payPayCancel");
        store.setBuyUrl("");
        showIframeBool.value = false;
        setTimeout(() => {
          closeTimeOutFun();
        }, 1e3);
      }
    };
    const closeTimeOutFun = () => {
      if (closeTimeOutNum.value <= 0) {
        sendCloseTab();
        return;
      }
      closeTimeOutNum.value = closeTimeOutNum.value - 1;
      setTimeout(() => {
        closeTimeOutFun();
      }, 1e3);
    };
    const getSubscriptionsPayDate = async () => {
      let userInfoEndDate = store.userInfoEndDate;
      await delay$1(2e3);
      for (let i = 0; i < 10; i++) {
        try {
          const subscriptionsPayRes = await getSubscriptionsPay(store.accessToken);
          sendLog("subscriptionsPayRes:" + JSON.stringify(subscriptionsPayRes));
          if (subscriptionsPayRes && subscriptionsPayRes.end_date) {
            const formattedDate = formatDate(subscriptionsPayRes.end_date);
            if (formattedDate == userInfoEndDate) {
              sendLog("getSubscriptionsPayDate formattedDate 等待1秒 formattedDate:" + formattedDate + "，userInfoEndDate:" + userInfoEndDate);
              await delay$1(1e3);
              continue;
            }
            if (formattedDate) {
              store.setUserInfoEndDate(formattedDate);
              loginStatusText.value = getLocalizedMessage("payPaySuccess");
              showIframeBool.value = false;
              sendLog("getSubscriptionsPayDate userInfoEndDate：" + store.userInfoEndDate);
              gotoYearBuyCancelBoolean.value = true;
              setTimeout(() => {
                closeTimeOutFun();
              }, 1e3);
              return;
            }
          } else {
            store.setUserInfoEndDate("");
          }
        } catch (e) {
          sendLog("getSubscriptionsPayDate e：" + JSON.stringify(e));
        }
      }
      sendLog("getSubscriptionsPayDate 支付失败");
      loginStatusText.value = getLocalizedMessage("payPayFail2");
      gotoYearBuyCancelBoolean.value = true;
      setTimeout(() => {
        closeTimeOutFun();
      }, 1e3);
    };
    const getBuy = async () => {
      try {
        closeTimeOutNum.value = 10;
        gotoYearBuyCancelBoolean.value = false;
        gotoYearBuyBoolean.value = true;
        if (store.gotoYearBuyOrderId) {
          controller = new AbortController();
          const signal = controller.signal;
          const res = await getPayResponse(store.gotoYearBuyOrderId, store.accessToken, signal, () => {
            return gotoYearBuyCancelBoolean.value;
          });
          if (gotoYearBuyCancelBoolean.value) {
            return;
          }
          if (res && res.status && res.status == "paid") {
            store.set_updateVipDateTime("");
            await getSubscriptionsPayDate();
          } else {
            loginStatusText.value = getLocalizedMessage("payPayFail");
            sendLog("getBuy 支付失败，getPayResponse:" + JSON.stringify(res));
            showIframeBool.value = false;
            gotoYearBuyCancelBoolean.value = true;
            setTimeout(() => {
              closeTimeOutFun();
            }, 1e3);
          }
        } else {
          loginStatusText.value = getLocalizedMessage("payPayFail");
          sendLog("getBuy 支付失败，gotoYearBuyOrderId is null");
          gotoYearBuyCancelBoolean.value = true;
          setTimeout(() => {
            closeTimeOutFun();
          }, 1e3);
        }
      } catch (e) {
        gotoYearBuyBoolean.value = false;
        loginStatusText.value = getLocalizedMessage("payPayFail");
        sendLog("getBuy 支付失败，error" + JSON.stringify(e));
        gotoYearBuyCancelBoolean.value = true;
        setTimeout(() => {
          closeTimeOutFun();
        }, 1e3);
      } finally {
        store.setBuyUrl("");
        chrome.storage.local.set({
          "buyUrl": ""
        });
        gotoYearBuyBoolean.value = false;
      }
    };
    const $t = inject("$t");
    return (_ctx, _cache) => {
      return unref(store).optionsPageName == "gotoYearBuy" || optionsPageNameOrgin.value == "gotoYearBuy" ? (openBlock(), createElementBlock("div", _hoisted_1$1, [createBaseVNode("div", _hoisted_2, toDisplayString(loginStatusText.value), 1), showIframeBool.value ? (openBlock(), createElementBlock("iframe", {
        key: 0,
        src: unref(store).buyUrl,
        style: {
          "width": "600px",
          "height": "600px",
          "z-index": "10000004",
          "border": "none"
        }
      }, null, 8, _hoisted_3)) : createCommentVNode("", true), _cache[11] || (_cache[11] = createBaseVNode("div", {
        style: {
          "height": "30px",
          "line-height": "30px"
        }
      }, null, -1)), gotoYearBuyBoolean.value ? (openBlock(), createElementBlock("div", _hoisted_4, [createBaseVNode("div", {
        onClick: cancelPayFun,
        onMouseover: _cache[0] || (_cache[0] = () => {
          cancelPayOption.value = 1;
        }),
        onMouseleave: _cache[1] || (_cache[1] = () => {
          cancelPayOption.value = 0;
        })
      }, [cancelPayOption.value == 0 ? (openBlock(), createElementBlock("div", _hoisted_5, [_cache[5] || (_cache[5] = createBaseVNode("img", {
        src: _imports_0$1,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_6, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCancelText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_7, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true), cancelPayOption.value == 1 ? (openBlock(), createElementBlock("div", _hoisted_8, [_cache[6] || (_cache[6] = createBaseVNode("img", {
        src: _imports_1$1,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_9, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCancelText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_10, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true), cancelPayOption.value == 2 ? (openBlock(), createElementBlock("div", _hoisted_11, [_cache[7] || (_cache[7] = createBaseVNode("img", {
        src: _imports_2,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_12, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCancelText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_13, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true)], 32)])) : createCommentVNode("", true), gotoYearBuyCancelBoolean.value ? (openBlock(), createElementBlock("div", _hoisted_14, toDisplayString(unref($t)("optionsWindowCloseTimeOutText", closeTimeOutNum.value)), 1)) : createCommentVNode("", true), gotoYearBuyCancelBoolean.value ? (openBlock(), createElementBlock("div", _hoisted_15, [createBaseVNode("div", {
        onClick: _cache[2] || (_cache[2] =
        //@ts-ignore
        (...args) => unref(sendCloseTab) && unref(sendCloseTab)(...args)),
        onMouseover: _cache[3] || (_cache[3] = () => {
          cancelPayOption.value = 1;
        }),
        onMouseleave: _cache[4] || (_cache[4] = () => {
          cancelPayOption.value = 0;
        })
      }, [cancelPayOption.value == 0 ? (openBlock(), createElementBlock("div", _hoisted_16, [_cache[8] || (_cache[8] = createBaseVNode("img", {
        src: _imports_0$1,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_17, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCloseText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_18, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true), cancelPayOption.value == 1 ? (openBlock(), createElementBlock("div", _hoisted_19, [_cache[9] || (_cache[9] = createBaseVNode("img", {
        src: _imports_1$1,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_20, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCloseText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_21, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true), cancelPayOption.value == 2 ? (openBlock(), createElementBlock("div", _hoisted_22, [_cache[10] || (_cache[10] = createBaseVNode("img", {
        src: _imports_2,
        style: {
          "width": "160px",
          "cursor": "pointer"
        },
        alt: "Vue logo"
      }, null, -1)), createBaseVNode("div", _hoisted_23, [(openBlock(true), createElementBlock(Fragment, null, renderList(unref(splitChineseAndEnglish)(unref(getLocalizedMessage)("optionsWindowCloseText")), text => {
        return openBlock(), createElementBlock("span", _hoisted_24, toDisplayString(text), 1);
      }), 256))])])) : createCommentVNode("", true)], 32)])) : createCommentVNode("", true)])) : createCommentVNode("", true);
    };
  }
});
const _hoisted_1 = {
  key: 3
};
const _sfc_main = /* @__PURE__ */defineComponent({
  __name: "App",
  setup(__props) {
    storageUtil.startOnChangedListener();
    const callBackHandler = (changes, namespace) => {
      for (let [key, {
        oldValue,
        newValue
      }] of Object.entries(changes)) {
        sendLog(`app Storage key "${key}" in namespace "${namespace}" changed.Old value was "${oldValue}", new value is "${newValue}".`);
        if (!newValue) {
          continue;
        }
        switch (key) {
          case "optionsPageName":
            store.setOptionsPageName(newValue);
        }
      }
    };
    store.checkLoadend().then(async () => {
      console.log("store.loadend", store.loadend);
      console.log("store.optionsPageName", store.optionsPageName);
      storageUtil.addHandlers(callBackHandler);
    });
    onBeforeUnmount(() => {
      console.log("APP onBeforeUnmount");
      storageUtil.removeListener(callBackHandler);
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", null, [unref(store).loadend && unref(store).optionsPageName == "installPlugins" ? (openBlock(), createBlock(_sfc_main$3, {
        key: 0,
        class: "card-header"
      })) : createCommentVNode("", true), unref(store).loadend && (unref(store).optionsPageName == "getAccessToken" || unref(store).optionsPageName == "bindingTenants") ? (openBlock(), createBlock(_sfc_main$2, {
        key: 1,
        class: "card-header"
      })) : createCommentVNode("", true), unref(store).loadend && unref(store).optionsPageName == "gotoYearBuy" ? (openBlock(), createBlock(_sfc_main$1, {
        key: 2,
        class: "card-header"
      })) : createCommentVNode("", true), unref(store).loadend && unref(store).optionsPageName == "runEchartsReport" ? (openBlock(), createElementBlock("div", _hoisted_1, [createVNode(runEchartsReportDemo2)])) : createCommentVNode("", true)]);
    };
  }
});
const App = /* @__PURE__ */_export_sfc(_sfc_main, [["__scopeId", "data-v-1581ee0a"]]);
const app = createApp(App);
app.use(pinia);
app.use(index);
store.loadFromStorage();
const uILanguage = chrome.i18n.getUILanguage();
console.log("UILanguage", uILanguage);
setLocale(uILanguage);
app.provide("$t", getLocalizedMessage);
app.mount("#app");